<?php

use App\Models\Brand;
use App\Models\Setting;

if (!function_exists('getSetting')) {
    /**
     * Get the value of a specific setting by key.
     *
     * @param string $key
     * @return mixed
     */
    function getSetting($key)
    {
        $setting = Setting::where('key', $key)->first();
        return $setting ? $setting->value : null;
    }
}
if (!function_exists('getBrands')) {
    /**
     * Get all brands.
     *
     * @return \Illuminate\Database\Eloquent\Collection
     */
    function getBrands()
    {
        return Brand::all();
    }
}
