<?php

namespace App\Http\Controllers\admin;

use Carbon\Carbon;
use App\Models\Tag;
use App\Models\Plan;
use App\Models\Quiz;
use App\Models\User;
use App\Models\Grade;
use App\Models\Topic;
use App\Models\Setting;
use App\Models\Student;
use App\Models\Subject;
use App\Models\Visitor;
use App\Models\FavTopic;
use App\Models\Question;
use App\Models\TopicTag;
use App\Models\QuizAttempt;
use Illuminate\Support\Str;
use App\Models\QuestionType;
use App\Models\QuizQuestion;
use App\Models\Subscription;
use Illuminate\Http\Request;
use App\Models\QuestionOption;
use App\Models\TopicAttachment;
use Illuminate\Support\Facades\DB;
use Spatie\Permission\Models\Role;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\Session;
use Spatie\Permission\Models\Permission;
use Illuminate\Database\Schema\Blueprint;


class AdminController extends Controller
{
    //
    public function _construct() {}
    public function login()
    {
        //$user  = new User();
        // $user->name = "Super Admin";
        // $user->email = "super@lms.com";
        // $user->password = bcrypt("admin321");
        // $user->save();

        // $role1 = Role::create(['name' => 'superadmin']);
        // $role = Role::create(['name' => 'admin']);
        // $role = Role::create(['name' => 'student']);
        // $role = Role::create(['name' => 'teacher']);
        // $role = Role::create(['name' => 'parent']);

        // $user->assignRole($role1);

        return view('admin.login');
    }

    public function signin(Request $request) {}

    public function dashboard()
    {
        // dd("D");
        $students = Student::all();
        $favourite_topic = FavTopic::count();
        $quizes = QuizAttempt::count();
        $total_quizes = Quiz::count();
        $total_questions = Question::count();
        $total_topics = Topic::count();
        $students_last7 = Student::where('created_at', '>=', Carbon::now()->subDays(7))->get();


        $visitors = Visitor::select('url', DB::raw('count(*) as total_visitors'))
        ->groupBy('url')
        ->get();

        $registrations = Subscription::select(DB::raw('date(created_at) as dates'), DB::raw('count(*) as registrations'))
        ->groupBy(DB::raw('date(created_at)'))
        ->get();

        // dd($pricess);

        $visitors_count = Visitor::select(DB::raw('count(*) as total_visitors'))->get();

        // dd($visitors_count[0]->total_visitors);

        $amount = Subscription::sum('plan_price');


        return view('admin.dashboard',['registrations'=> $registrations,'visitors_count'=> $visitors_count,'amount'=> $amount,'visitors'=> $visitors,'total_topics'=> $total_topics,'total_questions'=> $total_questions,'total_quizes'=> $total_quizes,'quizes'=> $quizes,'students'=> $students, 'favourite_topic'=> $favourite_topic, 'students_last7'=> $students_last7]);
    }


    public function grades()
    {

        $grades = Grade::all();
        return view('admin.grades', ['grades' => $grades]);
    }

    public function savegrades(Request $request)
    {

        $grade = new Grade();
        $grade->title = $request->title;
        $grade->description = $request->description;
        $grade->status = 1;
        $grade->show_front = $request->show_front;
        $grade->save();

        Session::flash('success', 'New Grade Created!');
        return redirect()->back();
    }

    public function updategrades(Request $request)
    {

        $grade = Grade::findOrFail($request->grade_id);
        $grade->title = $request->title;
        $grade->description = $request->description;
        // $grade->status = 1;
        $grade->show_front = $request->show_front;
        $grade->save();

        Session::flash('success', 'Grade Updated!');
        return redirect()->back();
    }


    public function getgrades(Request $request)
    {
        $grade = Grade::findOrFail($request->grade_id);
        $view = view('admin.modals.grade', ['grade' => $grade])->render();
        return response()->JSON(['view' => $view]);
    }

    public function featuregrades($id, $status)
    {

        $grade = Grade::findOrFail($id);
        $grade->show_front = $status;
        $grade->save();

        Session::flash('success', 'Grade Updated!');
        return redirect()->back();
    }

    public function disablegrades($id, $status)
    {

        $grade = Grade::findOrFail($id);
        $grade->status = $status;
        $grade->save();

        Session::flash('success', 'Grade Updated!');
        return redirect()->back();
    }

    public function deletegrades($id)
    {

        $grade = Grade::findOrFail($id);
        $grade->delete();

        Session::flash('success', 'Grade Deleted!');
        return redirect()->back();
    }

    public function subjects()
    {

        $subjects = Subject::all();
        return view('admin.subjects', ['subjects' => $subjects]);
    }

    public function savesubjects(Request $request)
    {

        $subject = new Subject();
        $subject->title = $request->title;
        $subject->description = $request->description;
        $subject->status = 1;
        $subject->show_front = $request->show_front;
        $subject->save();

        Session::flash('success', 'New Subject Created!');
        return redirect()->back();
    }


    public function updatesubjects(Request $request)
    {

        $subject = Subject::findOrFail($request->subject_id);
        $subject->title = $request->title;
        $subject->description = $request->description;
        // $subject->status = 1;
        $subject->show_front = $request->show_front;
        $subject->save();

        Session::flash('success', 'Subject Updated!');
        return redirect()->back();
    }



    public function getsubjects(Request $request)
    {
        $subject = Subject::findOrFail($request->subject_id);
        $view = view('admin.modals.subject', ['subject' => $subject])->render();
        return response()->JSON(['view' => $view]);
    }

    public function featuresubjects($id, $status)
    {

        $subject = Subject::findOrFail($id);
        $subject->show_front = $status;
        $subject->save();

        Session::flash('success', 'subject Updated!');
        return redirect()->back();
    }

    public function disablesubjects($id, $status)
    {

        $subject = Subject::findOrFail($id);
        $subject->status = $status;
        $subject->save();

        Session::flash('success', 'subject Updated!');
        return redirect()->back();
    }

    public function deletesubjects($id)
    {

        $subject = Subject::findOrFail($id);
        $subject->delete();

        Session::flash('success', 'subject Deleted!');
        return redirect()->back();
    }

    public function topics(Request $request)
    {

        $grades = Grade::where('status', 1)->get();
        $subjects = Subject::where('status', 1)->get();
        $topics = Topic::get();

        if (isset($request->subject) && $request->subject != 0) {
            $topics = $topics->where('subject_id', $request->subject);
        }
        if (isset($request->grade) && $request->grade != 0) {
            $topics = $topics->whereIn('grade_id', $request->grade);
        }
        return view('admin.topics', ['grades' => $grades, 'subjects' => $subjects, 'topics' => $topics]);
    }

    public function newTopic()
    {

        $grades = Grade::where('status', 1)->get();
        $subjects = Subject::where('status', 1)->get();
        $tags = Tag::where('status', 1)->get();
        return view('admin.new_topics', ['grades' => $grades, 'subjects' => $subjects, 'tags' => $tags]);
    }

    public function gettopics($id)
    {
        $grades = Grade::where('status', 1)->get();
        $subjects = Subject::where('status', 1)->get();
        $tags = Tag::where('status', 1)->get();
        $topic = Topic::findOrFail($id);
        return view('admin.edit_topic', ['topic' => $topic, 'grades' => $grades, 'subjects' => $subjects, 'tags' => $tags]);
    }

    public function savetopics(Request $request)
    {

        // dd($request->all());
        $topic = new Topic();
        $topic->title = $request->title;
        $topic->grade_id = $request->grade_id;
        $topic->summary = $request->summary;
        $topic->subject_id = $request->subject_id;
        $topic->is_paid = $request->paid ?? 0;
        $topic->price = $request->price ?? 0;
        $topic->content = $request->editorContent;
        $topic->show_front = $request->show_front;
        $topic->slug = Str::slug($request->title);
        $topic->status = 1;


        $file = $request->file('banner');
        // Define the path to store the file
        $destinationPath = 'banners';
        // Generate a unique name for the file
        $fileName = Str::random(16) . "-" . time() . '.' . $file->getClientOriginalExtension();
        // dd(public_path($destinationPath));
        // Move the file to the public directory
        $file->move(public_path($destinationPath), $fileName);

        $topic->banner = $fileName;
        $topic->save();

        foreach ($request->tags as $tag) {
            $topictag = new TopicTag();
            $topictag->tag_id = $tag;
            $topictag->topic_id = $topic->id;
            $topictag->save();
        }

        if ($request->fil) {
            // dd($request->fil);
            foreach ($request->fil as $file) {

                // $file = $request->file('picture');
                // Define the path to store the file
                $destinationPath = 'documents';
                // Generate a unique name for the file
                $fileName = Str::random(16) . "-" . time() . '.' . $file->getClientOriginalExtension();
                // Move the file to the public directory
                // dd(public_path($destinationPath));
                $file->move(public_path($destinationPath), $fileName);

                $topicattachment = new TopicAttachment();
                $topicattachment->topic_id = $topic->id;
                $topicattachment->file = $fileName;
                $topicattachment->save();
            }
        }

        // if($request->files)
        // {
        // foreach ($request->files as $file) {
        //         // $file = $request->file('picture');
        //         // Define the path to store the file
        //         $destinationPath = 'documents';
        //         // Generate a unique name for the file
        //         $fileName = Str::random(16)."-".time() . '.' . $file->getClientOriginalExtension();
        //         // Move the file to the public directory
        //         // dd(public_path($destinationPath));
        //         $file->move(public_path($destinationPath), $fileName);

        //         $topicattachment = new TopicAttachment();
        //         $topicattachment->topic_id = $topic->id;
        //         $topicattachment->file = $fileName;
        //         $topicattachment->save();
        // }
        // }

        Session::flash('success', 'New Topic Created!');
        return redirect()->back();
    }


    public function updatetopics(Request $request)
    {

        // dd($request->all());
        $topic = Topic::findOrFail($request->topic_id);
        $topic->title = $request->title;
        $topic->summary = $request->summary;
        $topic->grade_id = $request->grade_id;
        $topic->subject_id = $request->subject_id;
        $topic->is_paid = $request->paid ?? 0;
        $topic->price = $request->price ?? 0;
        $topic->content = $request->editorContent;
        $topic->show_front = $request->show_front;
        $topic->slug = Str::slug($request->title);
        // $topic->status = 1;


        if (isset($request->banner)) {
            $file = $request->file('banner');
            // Define the path to store the file
            $destinationPath = 'banners';
            // Generate a unique name for the file
            $fileName = Str::random(16) . "-" . time() . '.' . $file->getClientOriginalExtension();
            // dd(public_path($destinationPath));
            // Move the file to the public directory
            $file->move(public_path($destinationPath), $fileName);

            $topic->banner = $fileName;
        }
        $topic->save();

        foreach ($request->tags as $tag) {
            $topictag = new TopicTag();
            $topictag->tag_id = $tag;
            $topictag->topic_id = $topic->id;
            $topictag->save();
        }

        if($request->fil)
        {
            // dd($request->fil);
        foreach ($request->fil as $file) {

                // $file = $request->file('picture');
                // Define the path to store the file
                $destinationPath = 'documents';
                // Generate a unique name for the file
                $fileName = Str::random(16)."-".time() . '.' . $file->getClientOriginalExtension();
                // Move the file to the public directory
                // dd(public_path($destinationPath));
                $file->move(public_path($destinationPath), $fileName);

                $topicattachment = new TopicAttachment();
                $topicattachment->topic_id = $topic->id;
                $topicattachment->file = $fileName;
                $topicattachment->save();
        }
        }

        Session::flash('success', 'Topic updated!');
        return redirect()->back();
    }


    public function quiz()
    {
        $quizes = Quiz::with('quizQuestions')->get();
        return view('admin.quiz', ['quizes' => $quizes]);
    }

    public function newQuiz()
    {

        $questions = Question::with('type', 'options')->get();
        $topics = Topic::where('status', 1)->get();
        $tags = Tag::where('status', 1)->get();
        return view('admin.new_quiz', ['topics' => $topics, 'questions' => $questions, 'tags' => $tags]);
    }


    public function questions()
    {

        // $questions = Question::all();
        $questions = Question::with('type', 'options')->get();

        return view('admin.questions', ['questions' => $questions]);
    }

    public function newQuestions()
    {
        // Schema::create('questions', function (Blueprint $table) {
        //     $table->id();
        //     $table->string('title');
        //     $table->string('correct_answer')->nullable();
        //     $table->string('image')->nullable();
        //     $table->string('file')->nullable();
        //     $table->unsignedBigInteger('question_type_id');
        //     $table->timestamps();

        //     $table->foreign('question_type_id')->references('id')->on('question_types');
        // });

        // Schema::create('question_options', function (Blueprint $table) {
        //     $table->id();
        //     $table->unsignedBigInteger('question_id');
        //     $table->string('option_text');
        //     $table->timestamps();

        //     $table->foreign('question_id')->references('id')->on('questions');
        // });

        $questionTypes = QuestionType::all();
        $grades = Grade::where('status', 1)->get();
        $subjects = Subject::where('status', 1)->get();

        return view('admin.new_questions', ['grades' => $grades, 'subjects' => $subjects, 'questionTypes' => $questionTypes]);
    }

    public function students()
    {
        $students = Student::all();
        return view('admin.students', ['students' => $students]);
    }
    public function blockstudent($id, $status)
    {

        $student = Student::findOrFail($id);
        $student->status = $status;
        $student->save();

        Session::flash('success', 'student Updated!');
        return redirect()->back();
    }

    public function savequestion(Request $request)
    {
        $request->validate([
            'question.title' => 'required|string|max:255',
            'question.correct_answer' => 'required_without:question.image|string',
            'question.image' => 'required_without:question.correct_answer|image|mimes:jpeg,png,jpg,gif|max:2048',
            'question.options' => 'sometimes|array',
            'question.options.*' => 'string|nullable',
        ]);

        // Store the question
        $question = new Question();
        $question->title = $request->input('question.title');
        $question->grade_id  = $request->input('grade_id');
        $question->subject_id  = $request->input('subject_id');
        $question->question_type_id = $request->input('question_type_id');
        $question->correct_answer = $request->input('question.correct_answer') ?? '';

        // Handle image question type
        if ($request->hasFile('question.image')) {
            $imagePath = $request->file('question.image')->store('questions', 'public');
            $question->image = $imagePath;
        }

        // Handle file upload (if applicable)
        if ($request->hasFile('question.file')) {
            $filePath = $request->file('question.file')->store('questions/files', 'public');
            $question->file = $filePath;
        }

        $question->save();

        // Store options for questions with options (Dropdown, Checkbox, Radio)
        if (in_array($question->question_type_id, [2, 3, 4])) {  // Assuming 3=dropdown, 4=checkbox, 5=radio
            if ($request->has('question.options')) {
                foreach ($request->input('question.options') as $optionText) {
                    if (!empty($optionText)) {
                        $option = new QuestionOption();
                        $option->question_id = $question->id;
                        $option->option_text = $optionText;
                        $option->save();
                    }
                }
            }
        }
        // dd($request->all());

        // for($i=1;$i<$request->count+1;$i++)
        // {
        //     $questions = new Question();
        //     $title = "questionTitle".$i;
        //     $type = "questionType" . $i;
        //     $options = "option" . $i;
        //     $correct = "correctAnswer".$i;
        //     $questions->title = $request->$title;
        //     $questions->type = $request->$type;
        //     $questions->options = json_encode($request->$options);
        //     $questions->correct = $request->$correct;
        //     $questions->grade_id = $request->grade_id;
        //     $questions->subject_id = $request->subject_id;
        //     $questions->save();
        // }

        Session::flash('success', 'Question added!');
        return redirect()->back();
    }

    public function getquestions(Request $request)
    {
        $topic = Topic::where('id', $request->topic_id)->first();

        $questions = Question::where('subject_id', $topic->subject_id)->where('grade_id', $topic->grade_id)->get();

        $view = "";
        foreach ($questions as $question) {
            $view .= "<option value='" . $question->id . "'>" . $question->title . "</option>";
        }

        return response()->JSON(['view' => $view]);
    }

    public function savequiz(Request $request)
    {
        $request->validate([
            'title' => 'required|string|max:255',
            'description' => 'nullable|string',
            'duration' => 'required|integer|min:1',
            'questions' => 'required|array',
            'questions.*.id' => 'required|exists:questions,id',
            'questions.*.marks' => 'required|integer|min:1',
        ]);

        // Create the quiz
        $quiz = Quiz::create([
            'title' => $request->input('title'),
            'description' => $request->input('description'),
            'duration' => $request->input('duration'),
            'topic_id' => $request->input('topic_id')
        ]);

        // Attach questions with marks
        foreach ($request->input('questions') as $questionData) {
            $quiz->questions()->attach($questionData['id'], ['marks' => $questionData['marks']]);
        }
        // $quiz = new Quiz();
        // $quiz->title = $request->title;
        // $quiz->description = $request->description;
        // $quiz->duration = $request->duration;
        // $quiz->topic_id = $request->topic_id;
        // $quiz->save();

        // foreach ($request->questions as $qq) {
        //     $quizq = new QuizQuestion();
        //     $quizq->question_id = $qq;
        //     $quizq->quiz_id = $quiz->id;
        //     $quizq->save();
        // }

        Session::flash('success', 'Quiz added!');
        return redirect()->back();
    }



    public function tags()
    {

        $tags = Tag::all();
        return view('admin.tags', ['tags' => $tags]);
    }

    public function savetags(Request $request)
    {

        $tag = new tag();
        $tag->title = $request->title;
        $tag->description = $request->description;
        $tag->status = 1;
        $tag->show_front = $request->show_front;
        $tag->save();

        Session::flash('success', 'New tag Created!');
        return redirect()->back();
    }

    public function updatetags(Request $request)
    {

        $tag = Tag::findOrFail($request->tag_id);
        $tag->title = $request->title;
        $tag->description = $request->description;
        // $tag->status = 1;
        $tag->show_front = $request->show_front;
        $tag->save();

        Session::flash('success', 'tag Updated!');
        return redirect()->back();
    }


    public function gettags(Request $request)
    {
        $tag = Tag::findOrFail($request->tag_id);
        $view = view('admin.modals.tag', ['tag' => $tag])->render();
        return response()->JSON(['view' => $view]);
    }

    public function plans(Request $request)
    {
        $plans = Plan::all();
        return view('admin.plans', ['plans' => $plans]);

    }

    public function newplans()
    {
        return view('admin.new_plan');
    }

    public function saveplans(Request $request)
    {

        $plan = new Plan();
        $plan->name = $request->name;
        $plan->description = $request->editorContent;
        $plan->price = $request->price;
        $plan->duration = $request->duration;
        $plan->show_front = $request->show_front;
        $plan->save();

        Session::flash('success', 'Plan Created!');
        return redirect()->route('admin.plans');

    }


    public function featureplans($id, $status)
    {

        $grade = Plan::findOrFail($id);
        $grade->show_front = $status;
        $grade->save();

        Session::flash('success', 'Plan Updated!');
        return redirect()->back();
    }

    public function disableplans($id, $status)
    {

        $grade = Plan::findOrFail($id);
        $grade->status = $status;
        $grade->save();

        Session::flash('success', 'Plan Updated!');
        return redirect()->back();
    }
    public function featuretags($id, $status)
    {

        $tag = Tag::findOrFail($id);
        $tag->show_front = $status;
        $tag->save();

        Session::flash('success', 'tag Updated!');
        return redirect()->back();
    }

    public function disabletags($id, $status)
    {

        $tag = Tag::findOrFail($id);
        $tag->status = $status;
        $tag->save();

        Session::flash('success', 'tag Updated!');
        return redirect()->back();
    }

    public function deletequiz($quiz_id,$id)
    {

        $quiz = Quiz::findOrFail($quiz_id);
        $quiz->status = $id;
        $quiz->save();

        Session::flash('success', 'Quiz Updated!');
        return redirect()->back();
    }

    public function deletequestion($question_id, $id)
    {

        $quiz = Question::findOrFail($question_id);
        $quiz->status = $id;
        $quiz->save();

        Session::flash('success', 'Question Updated!');
        return redirect()->back();
    }

    public function showquiz($id)
    {
        $quiz = Quiz::with('quizQuestions')->findOrFail($id);
        return view('admin.quizshow', ['quiz' => $quiz]);
    }

    public function deletetags($id)
    {

        $tag = Tag::findOrFail($id);
        $tag->delete();

        Session::flash('success', 'tag Deleted!');
        return redirect()->back();
    }

    public function listAttemptedQuizzes()
    {
        $user = auth()->user(); // Assuming the user is authenticated

        // Fetch all quiz attempts made by the user
        $quizAttempts = QuizAttempt::with(['quiz.topic'])
            ->orderBy('created_at', 'desc')
            ->get();

        return view('admin.quizattempt', compact('quizAttempts'));
    }

    public function settings()
    {
        // Schema::create('brands', function (Blueprint $table) {
        //     $table->id(); // id
        //     $table->string('name'); // Brand name
        //     $table->string('logo')->nullable(); // Path to the brand logo
        //     $table->timestamps(); // created_at and updated_at
        // });
        // Schema::create('settings', function (Blueprint $table) {
        //     $table->id();
        //     $table->string('key')->unique(); // Key for each setting
        //     $table->text('value')->nullable(); // Value for each setting
        //     $table->timestamps();
        // });
        $settings = Setting::pluck('value', 'key')->toArray();
        $brands = \App\Models\Brand::all(); // Fetch brands
        return view('admin.settings', compact('settings', 'brands'));

        // Pass the settings to the Blade view
        // return view('admin.settings', compact('settings'));
    }

    public function update(Request $request, $section)
    {
        switch ($section) {
            case 'website_settings':
                $this->saveSettings($request, [
                    'logo',
                    'contact',
                    'email',
                    'phone',
                    'address',
                    'opening_hours',
                    'facebook',
                    'instagram',
                    'register_student_text',
                    'register_teacher_text',
                    'title'
                ]);
                break;

            case 'main_layout':
                $this->saveSettings($request, [
                    'slider_1_name',
                    'slider_1_text',
                    'slider_1_image',
                    'slider_2_name',
                    'slider_2_text',
                    'slider_2_image',
                    'slider_3_name',
                    'slider_3_text',
                    'slider_3_image',
                    'service_1_name',
                    'service_1_image',
                    'service_2_name',
                    'service_2_image',
                    'service_3_name',
                    'service_3_image'
                ]);
                break;

            case 'footer_section':
                $this->saveSettings($request, ['footer_logo', 'footer_text']);
                break;

            case 'about_us_section':
                $this->saveSettings($request, ['about_us_title', 'about_us_description']);
                break;

            case 'payment_us_section':
                if(isset($request->easy_pesa_status))
                {
                    // $request->easy_pesa_status = 1;
                    $request->request->add(['easy_pesa_status' => 1]);
                }
                else{
                    $request->request->add(['easy_pesa_status' => 0]);
                }
                if (isset($request->bank_status)) {
                    // $request->bank_status = 1;
                    $request->request->add(['bank_status' => 1]);
                } else {
                    $request->request->add(['bank_status' => 0]);
                }
                // dd($request->all());
                $this->saveSettings($request, ['currency', 'easy_pesa_status', 'bank_status', 'bank_account_title', 'bank_account_number', 'bank_name', 'easy_pesa_account_title', 'easy_pesa_account_number']);
                break;

            default:
                return redirect()->back()->with('error', 'Invalid section');
        }

        return redirect()->back()->with('success', ucfirst(str_replace('_', ' ', $section)) . ' updated successfully.');
    }

    // Save settings
    private function saveSettings($request, $keys)
    {
        foreach ($keys as $key) {
            $value = $request->hasFile($key) ? $this->handleFileUpload($request, $key) : $request->input($key);
            Setting::updateOrCreate(['key' => $key], ['value' => $value]);
        }
    }

    // Handle file uploads
    private function handleFileUpload($request, $key)
    {
        if ($request->hasFile($key)) {
            $file = $request->file($key);
            $filename = time() . '_' . $file->getClientOriginalName();
            $destinationPath = public_path('uploads/settings');
            $file->move($destinationPath, $filename);
            return $filename;
        }
        return null;
    }


    public function profileedit()
    {
        return view('admin.profile'); // Ensure profile.blade.php is in the right directory (resources/views)
    }

    /**
     * Update the user's profile.
     */
    public function profileupdate(Request $request)
    {
        $user = Auth::user();

        // Validate input
        $request->validate([
            'name' => 'required|string|max:255',
            'password' => 'nullable|min:8|confirmed', // Only validate password if it's filled
            'profile_picture' => 'nullable|image|mimes:jpeg,png,jpg,gif|max:2048',
        ]);

        // Update the username
        $user->name = $request->name;

        // If the password is provided, update it
        if ($request->filled('password')) {
            $user->password = bcrypt($request->password);
        }

        // Handle profile picture upload
        if ($request->hasFile('profile_picture')) {
            // Delete old profile picture if exists
            if ($user->profile_picture && File::exists(public_path('uploads/profile_pictures/' . $user->profile_picture))) {
                File::delete(public_path('uploads/profile_pictures/' . $user->profile_picture));
            }

            // Upload new profile picture
            $file = $request->file('profile_picture');
            $filename = time() . '_' . $file->getClientOriginalName();
            $file->move(public_path('uploads/profile_pictures'), $filename);

            // Update the user's profile picture field
            $user->profile_picture = $filename;
        }

        // Save the user record
        $user->save();

        return redirect()->back()->with('success', 'Profile updated successfully!');
    }

    public function studentprofile($id)
    {

        $student = Student::where('id', $id)->first();
        $quizAttempts = QuizAttempt::where('user_id', $id)->with('quiz')->get();
        $user = User::where('id', $student->user_id)->first();

        return view('admin.student_profile', compact('user', 'student', 'quizAttempts'));
    }

    public function updatePasswordstudent(Request $request)
    {
        $request->validate([
            'password' => 'required|string|min:8|confirmed',
        ]);

        $user = Auth::user();
        $user->password = bcrypt($request->password);
        $user->save();

        return redirect()->back()->with('success', 'Password updated successfully!');
    }
    public function showResult($quizAttemptId)
    {
        $quizAttempt = QuizAttempt::with('quiz', 'answers.question')->findOrFail($quizAttemptId);
        return view('admin.result', compact('quizAttempt'));
    }

    public function deletefile($id)
    {
        $file = TopicAttachment::findOrFail($id);
        $file->delete();

        return redirect()->back()->with('success', 'Updated successfully!');
    }

    public function pendingsubscriptions()
    {
        $subscriptions = Subscription::where('status' , 0)->get();

        return view('admin.pendingsubscription', compact('subscriptions'));
    }

    public function approvedsubscriptions()
    {
        $subscriptions = Subscription::where('status', 1)->get();

        return view('admin.approvedsubscription', compact('subscriptions'));
    }

    public function expiredsubscriptions()
    {
        $subscriptions = Subscription::where('status','!=' ,1)->where('status', '!=', 2)->get();

        return view('admin.approvedsubscription', compact('subscriptions'));
    }

    public function blocksubscription($id, $status)
    {

        $subscription = Subscription::findOrFail($id);
        $subscription->status = 1;
        $subscription->save();

        $user = User::where('id', $subscription->user_id)->first();
        $user->type = 1;
        $user->save();

        Session::flash('success', 'Updated!');
        return redirect()->back();
    }
}
