<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use Symfony\Component\HttpFoundation\Response;

class CheckStudent
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (Auth::check() && Auth::user()->hasRole('student')) {
            if (Auth::user()->student->status == 0) {
                Auth::logout();
                Session::flash('error', 'Account Not approved yet!');
                return redirect('/login');
            }
            // Session::flash('success', 'Student LoggedIn!');
            return $next($request);
        }

        Auth::logout();
        Session::flash('error', 'Login failed!');
        return redirect('/login');
    }
}
