<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use Symfony\Component\HttpFoundation\Response;

class CheckSuperAdmin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (Auth::check() && Auth::user()->hasRole('superadmin')) {
            // Session::flash('success', 'Super Admin LoggedIn!');
            return $next($request);
        }

        Auth::logout();
        Session::flash('error', 'Login Failed!');
        return redirect('/login'); // or any other route you want to redirect to
    }
}
