<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use App\Models\Visitor;

class LogVisitor
{
    public function handle(Request $request, Closure $next)
    {
        $ipAddress = $request->ip();
        $url = $request->fullUrl();  // Get the full URL, including query parameters
        $ipAddress = request()->ip();

        if ($ipAddress === '::1') {
            $ipAddress = '127.0.0.1'; // Convert IPv6 loopback to IPv4 loopback
        }

        // Check if the visitor already exists for this IP and URL
        $visitorExists = Visitor::where('ip_address', $ipAddress)
            ->where('url', $url)
            ->exists();

        // If not, log the visitor
        if (!$visitorExists) {
            Visitor::create([
                'ip_address' => $ipAddress,
                'url' => $url,
                'user_agent' => $request->header('User-Agent'),
            ]);
        }

        return $next($request);
    }
}
