<?php

namespace App\Models;

use App\Models\QuestionType;
use App\Models\QuestionOption;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Question extends Model
{
    use HasFactory;

    protected $fillable = ['title', 'correct_answer', 'image', 'file', 'question_type_id'];

    public function options()
    {
        return $this->hasMany(QuestionOption::class);
    }

    public function question_options ()
    {
        return $this->hasMany(QuestionOption::class);
    }

    public function type()
    {
        return $this->belongsTo(QuestionType::class);
    }

    public function question_type()
    {
        return $this->belongsTo(QuestionType::class, 'question_type_id');
    }
}
