<?php

namespace App\Models;

use App\Models\Topic;
use App\Models\QuizQuestion;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Quiz extends Model
{

    use SoftDeletes;
    protected $fillable = ['title', 'description', 'duration', 'topic_id'];
    public function topic()
    {
        return $this->belongsTo(Topic::class, 'topic_id');
    }



    public function questions()
    {
        return $this->belongsToMany(Question::class, 'quiz_questions')->withPivot('marks');
    }
    public function quizQuestions()
    {
        return $this->hasMany(QuizQuestion::class, 'quiz_id');
    }

    public function quiz_questions()
    {
        return $this->hasMany(QuizQuestion::class, 'quiz_id');
    }
}
