<?php

namespace App\Models;

use Illuminate\Support\Facades\Auth;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Topic extends Model
{
    use SoftDeletes;

    public function topictags()
    {
        return $this->hasMany(TopicTag::class,'topic_id');
    }

    public function quizes()
    {
        return $this->hasMany(Quiz::class, 'topic_id');
    }

    public function grade()
    {
        return $this->belongsTo(Grade::class);
    }

    public function subject()
    {
        return $this->belongsTo(Subject::class);
    }

    public function favtopic($topic_id)
    {
        $user_id = Auth::user()->id;
        $fav = FavTopic::where('user_id',$user_id)->where('topic_id',$topic_id)->count();
        return $fav;
    }

    public function files()
    {
        return $this->hasMany(TopicAttachment::class, 'topic_id');
    }

    public function getstudents()
    {
        $students = Student::where('grade_id',$this->grade_id)->get();

        return $students;
    }
}
