<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('visitors', function (Blueprint $table) {
            $table->string('url');  // URL the visitor accessed
            $table->unique(['ip_address', 'url']);  // Ensure unique visitors per URL
        });
    }

    public function down()
    {
        Schema::table('visitors', function (Blueprint $table) {
            $table->dropUnique(['ip_address', 'url']);
            $table->dropColumn('url');
        });
    }
};
