@extends('layouts.admin')

@section('content')
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            Grades
                        </h2>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">


                <div class="row">
                    <div class="col-md-8">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">Grades List</h3>
                            </div>
                            <div class="card-body border-bottom py-3">
                                <div class="d-flex">
                                    <div class="text-muted">
                                        Show
                                        <div class="mx-2 d-inline-block">
                                            <input type="text" class="form-control form-control-sm" value="8"
                                                size="3" aria-label="Invoices count">
                                        </div>
                                        entries
                                    </div>
                                    <div class="ms-auto text-muted">
                                        Search:
                                        <div class="ms-2 d-inline-block">
                                            <input type="text" class="form-control form-control-sm"
                                                aria-label="Search invoice">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <table class="table card-table table-vcenter text-nowrap datatable">
                                <thead>
                                    <tr>
                                        <th class="w-1">#.
                                            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-sm icon-thick"
                                                width="24" height="24" viewBox="0 0 24 24" stroke-width="2"
                                                stroke="currentColor" fill="none" stroke-linecap="round"
                                                stroke-linejoin="round">
                                                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                                                <path d="M6 15l6 -6l6 6" />
                                            </svg>
                                        </th>
                                        <th>Grade</th>
                                        <th>Description</th>
                                        <th>Created At</th>
                                        <th>Status</th>
                                        <th>Featured</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($grades as $grade)
                                        <tr>
                                            <td><span class="text-muted">{{ $loop->iteration }}</span></td>
                                            <td>{{ $grade->title }}</td>
                                            <td>
                                                {{ $grade->description }}
                                            </td>
                                            <td>
                                                {{ $grade->created_at }}
                                            </td>
                                            <td>
                                                @if ($grade->status == 1)
                                                    <span class="badge bg-success me-1"></span>
                                                @else
                                                    <span class="badge bg-danger me-1"></span>
                                                @endif
                                            </td>
                                            <td>
                                                @if ($grade->show_front == 1)
                                                    <span class="badge bg-success me-1">Yes</span>
                                                @else
                                                    <span class="badge bg-danger me-1">No</span>
                                                @endif
                                            </td>
                                            <td class="text-end">
                                                <span class="dropdown">
                                                    <button class="btn dropdown-toggle align-text-top"
                                                        data-bs-boundary="viewport"
                                                        data-bs-toggle="dropdown">Actions</button>
                                                    <div class="dropdown-menu dropdown-menu-end">
                                                        <a href="#" class="dropdown-item" data-bs-toggle="modal"
                                                            data-bs-target="#editmodal"
                                                            onclick="getedit('{{ $grade->id }}')">
                                                            Edit
                                                        </a>
                                                        <a class="dropdown-item"
                                                            href="{{ route('admin.deletegrades', [$grade->id]) }}">
                                                            Delete
                                                        </a>
                                                        @if ($grade->show_front == 1)
                                                            <a class="dropdown-item"
                                                                href="{{ route('admin.featuregrades', [$grade->id, '0']) }}">Unfeature</a>
                                                        @else
                                                            <a class="dropdown-item"
                                                                href="{{ route('admin.featuregrades', [$grade->id, '1']) }}">Feature</a>
                                                        @endif
                                                        @if ($grade->status == 1)
                                                            <a class="dropdown-item"
                                                                href="{{ route('admin.disablegrades', [$grade->id, '0']) }}">Disable</a>
                                                        @else
                                                            <a class="dropdown-item"
                                                                href="{{ route('admin.disablegrades', [$grade->id, '1']) }}">Enable</a>
                                                        @endif
                                                    </div>
                                                </span>
                                            </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>


                            <div class="card-footer d-flex align-items-center">
                            </div>
                        </div>
                    </div>


                    <div class="col-md-4">

                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">Add New Grade</h3>
                            </div>

                            <form method="POST" action="{{ route('admin.savegrades') }}">
                                @csrf
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <label>Grade</label>
                                            <input type="text" class="form-control" required name="title">
                                        </div>
                                        <div class="col-md-12 mt-3">
                                            <label>Description</label>
                                            <textarea type="text" class="form-control" required name="description"></textarea>
                                        </div>
                                        <div class="col-md-12 mt-3">
                                            <label>Feature at front</label>
                                            <select class="form-control" name="show_front" required>
                                                <option value="1">Yes</option>
                                                <option value="0">No</option>
                                            </select>
                                        </div>
                                        <div class="col-md-12 mt-5">
                                            <input type="submit" class="btn btn-success pull-right" value="Add"
                                                style="float: right">
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>

                </div>


            </div>
        </div>

        @include('includes.admin_footer')
    </div>


    <div class="modal modal-blur fade" id="editmodal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="editform">
                </div>
            </div>
        </div>
    </div>
@endsection

@section('scripts')
    <script>
        function getedit(id) {
            $.ajax({
                url: "{{ route('admin.getgrades') }}", // Replace with your URL
                method: 'POST', // or 'POST', 'PUT', 'DELETE', etc.
                data: {
                    grade_id: id,
                    _token: "{{csrf_token()}}"
                },
                success: function(response) {
                    $("#editform").html(response.view);
                },
                error: function(xhr, status, error) {
                    alert("Something went wrong");
                }
            });
        }
    </script>
@endsection
