@extends('layouts.admin')

@section('content')
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            Pending Subscriptions
                        </h2>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">


                <div class="row">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">Request List</h3>
                            </div>
                            <table class="table card-table table-vcenter text-nowrap datatable">
                                <thead>
                                    <tr>
                                        <th class="w-1">#.
                                            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-sm icon-thick"
                                                width="24" height="24" viewBox="0 0 24 24" stroke-width="2"
                                                stroke="currentColor" fill="none" stroke-linecap="round"
                                                stroke-linejoin="round">
                                                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                                                <path d="M6 15l6 -6l6 6" />
                                            </svg>
                                        </th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Contact</th>
                                        <th>Address</th>
                                        <th>Plan</th>
                                        <th>Gateway</th>
                                        <th>Amount</th>
                                        <th>Proof</th>
                                        <th>Date</th>
                                        <th>status</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($subscriptions as $subscription)
                                        <tr>
                                            <td><span class="text-muted">{{ $loop->iteration }}</span></td>
                                            <td><a href="{{ route('admin.studentprofile', $subscription->user_id)}}">{{ $subscription->name }}</a></td>
                                            <td>
                                                {{ $subscription->email }}
                                            </td>
                                            <td>
                                                {{ $subscription->contact }}
                                            </td>
                                            <td>
                                                {{ $subscription->address }}
                                            </td>

                                            <td>
                                                {{ $subscription->plan->name }}
                                            </td>
                                            <td>
                                                {{ $subscription->payment_type }}
                                            </td>
                                            <td>
                                                {{ $subscription->plan_price }} {{ $subscription->currency }}
                                            </td>
                                            <td>
                                               <a href="{{ asset('proofs/'.$subscription->proof)}}"> <i class="fa fa-file"></i> File</a>
                                            </td>
                                            <td>
                                                {{ $subscription->created_at }}
                                            </td>
                                            <td>
                                                @if ($subscription->status == 1)
                                                    <span class="badge bg-success me-1"></span>
                                                @else
                                                    <span class="badge bg-danger me-1"></span>
                                                @endif
                                            </td>

                                            <td class="text-end">
                                                <span class="dropdown">
                                                    <button class="btn dropdown-toggle align-text-top"
                                                        data-bs-boundary="viewport"
                                                        data-bs-toggle="dropdown">Actions</button>
                                                    <div class="dropdown-menu dropdown-menu-end">
                                                            <a class="dropdown-item"
                                                                href="{{ route('admin.blocksubscription', [$subscription->id, '1']) }}">Approve</a>
                                                        </div>
                                                </span>
                                            </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>
                            <div class="card-footer d-flex align-items-center">
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>

        @include('includes.admin_footer')
    </div>


    <div class="modal modal-blur fade" id="editmodal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="editform">
                </div>
            </div>
        </div>
    </div>
@endsection

@section('scripts')
    <script>
        function getedit(id) {
            $.ajax({
                url: "{{ route('admin.getgrades') }}", // Replace with your URL
                method: 'POST', // or 'POST', 'PUT', 'DELETE', etc.
                data: {
                    grade_id: id,
                    _token: "{{csrf_token()}}"
                },
                success: function(response) {
                    $("#editform").html(response.view);
                },
                error: function(xhr, status, error) {
                    alert("Something went wrong");
                }
            });
        }
    </script>
@endsection
