@extends('layouts.admin')

@section('content')
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            All Questions
                        </h2>
                    </div>
                    <div class="col-auto ms-auto d-print-none">
                        <a href="{{ route('admin.newQuestions') }}" class="btn btn-primary">
                            <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
                            <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24"
                                viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none"
                                stroke-linecap="round" stroke-linejoin="round">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                                <path d="M12 5l0 14" />
                                <path d="M5 12l14 0" />
                            </svg>
                            Create Question
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">


                <div class="row">
                    <div class="card">

                        <div class="card-body">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>Question Title</th>
                                        <th>Type</th>
                                        <th>Answer</th>
                                        <th>Correct Answer</th>
                                        <th>Status</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($questions as $question)
                                        <tr>
                                            <td>{{ $question->title ?? 'N/A' }}</td>
                                            <td>{{ ucfirst($question->type->type ?? 'N/A') }}</td>

                                            <!-- Display Answers or Options -->
                                            <td>
                                                @if (in_array($question->question_type_id, [3, 4, 5]))
                                                    <!-- Assuming 3=dropdown, 4=checkbox, 5=radio -->
                                                    @foreach ($question->options as $option)
                                                        <div>{{ $option->option_text }}</div>
                                                    @endforeach
                                                @else
                                                    {{ $question->correct_answer ?? 'N/A' }}
                                                @endif
                                            </td>

                                            <!-- Correct Answer -->
                                            <td>{{ $question->correct_answer ?? 'N/A' }}</td>
                                            <td>
                                                @if ($question->status == 1)
                                                    <span class="badge bg-success me-1"></span>
                                                @else
                                                    <span class="badge bg-danger me-1"></span>
                                                @endif
                                            </td>
                                        <td>
                                            @if($question->status == 1)
                                            <a href="{{ route('admin.deletequestion', ['question_id'=>$question->id,'id'=>'0'])}}" class="btn-sm btn-danger">Disable</a>
                                            @else
                                            <a href="{{ route('admin.deletequestion', ['question_id'=>$question->id,'id'=>'1'])}}" class="btn-sm btn-success">Activate</a>
                                            @endif
                                        </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>

                        </div>
                    </div>

                </div>


            </div>
        </div>

        @include('includes.admin_footer')
    </div>
@endsection

@section('scripts')
@endsection
