@extends('layouts.admin')

@section('content')
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
          <div class="container-xl">
            <div class="row g-2 align-items-center">
              <div class="col">
                <h2 class="page-title">
                  Search for topics
                </h2>
              </div>
              <!-- Page title actions -->
              <div class="col-auto ms-auto d-print-none">
                <a href="{{ route('admin.newTopic')}}" class="btn btn-primary">
                  <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
                  <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M12 5l0 14" /><path d="M5 12l14 0" /></svg>
                  Create Topic
                </a>
              </div>
            </div>
          </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
          <div class="container-xl">
            <div class="row g-4">
              <div class="col-md-3">
                <form action="{{ route('admin.topics')}}" method="get" autocomplete="off" novalidate class="sticky-top">
                  <div class="form-label">Subjects</div>
                  <div class="mb-4">
                    <select class="form-select" name="subject">
                      <option value="0">All</option>
                      @foreach($subjects as $subject)
                      <option value="{{$subject->id}}" @if(request()->get('subject') == $subject->id) selected @endif>{{$subject->title}}</option>
                      @endforeach
                    </select>
                  </div>
                  {{-- <div class="form-label">Paid</div>
                  <div class="mb-4">
                    <label class="form-check form-switch">
                      <input class="form-check-input" type="checkbox" >
                      <span class="form-check-label form-check-label-on">Yes</span>
                      <span class="form-check-label form-check-label-off">No</span>
                    </label>
                  </div> --}}

                  <div class="form-label">Class/Grades</div>
                  <div class="mb-4">
                    <select class="form-select" name="grade">
                      <option value="0">All</option>
                      @foreach($grades as $grade)
                      <option value="{{$grade->id}}" @if(request()->get('grade') == $grade->id) selected @endif>{{$grade->title}}</option>
                      @endforeach
                    </select>
                  </div>
                  <div class="mt-5">
                    <button class="btn btn-primary w-100" type="submit">
                      Filter
                    </button>
                    <a href="{{ route('admin.topics')}}" class="btn btn-link w-100">
                      Reset to defaults
                    </a>
                  </div>
                </form>
              </div>
              <div class="col-md-9">
                <div class="row row-cards">
                  <div class="space-y">

                    @foreach($topics as $topic)
                    <div class="card">
                      <div class="row g-0">
                        <div class="col-auto">
                          <div class="card-body">
                            <div class="avatar avatar-md" style="background-image: url({{asset('banners/'.$topic->banner)}})"></div>
                          </div>
                        </div>
                        <div class="col">
                          <div class="card-body ps-0">
                            <div class="row">
                              <div class="col">
                                <h3 class="mb-0"><a href="{{ route('admin.gettopics', $topic->id)}}">{{$topic->title}}</a></h3>
                              </div>
                            </div>
                            <div class="row">
                              <div class="col-md">
                                <div class="mt-3 list-inline list-inline-dots mb-0 text-muted d-sm-block d-none">
                                  <div class="list-inline-item"><!-- Download SVG icon from http://tabler-icons.io/i/building-community -->
                                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-inline" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M8 9l5 5v7h-5v-4m0 4h-5v-7l5 -5m1 1v-6a1 1 0 0 1 1 -1h10a1 1 0 0 1 1 1v17h-8" /><path d="M13 7l0 .01" /><path d="M17 7l0 .01" /><path d="M17 11l0 .01" /><path d="M17 15l0 .01" /></svg>
                                    {{$topic->grade->title ?? null}}</div>
                                  <div class="list-inline-item"><!-- Download SVG icon from http://tabler-icons.io/i/license -->
                                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-inline" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M15 21h-9a3 3 0 0 1 -3 -3v-1h10v2a2 2 0 0 0 4 0v-14a2 2 0 1 1 2 2h-2m2 -4h-11a3 3 0 0 0 -3 3v11" /><path d="M9 7l4 0" /><path d="M9 11l4 0" /></svg>
                                    {{ ($topic->is_paid == 1) ? $topic->price.'$' : 'Free'}}</div>
                                  <div class="list-inline-item"><!-- Download SVG icon from http://tabler-icons.io/i/map-pin -->
                                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-inline" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M9 11a3 3 0 1 0 6 0a3 3 0 0 0 -6 0" /><path d="M17.657 16.657l-4.243 4.243a2 2 0 0 1 -2.827 0l-4.244 -4.243a8 8 0 1 1 11.314 0z" /></svg>
                                    {{$topic->subject->title ?? null}}</div>
                                </div>
                              </div>
                              <div class="col-md-auto">
                                <div class="mt-3 badges">
                                    @foreach($topic->topictags as $tags)
                                  <a href="#" class="badge badge-outline text-muted border fw-normal badge-pill">{{$tags->tag->title}}</a>
                                    @endforeach
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                    @endforeach



                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        @include('includes.admin_footer')
      </div>
@endsection

@section('scripts')
@endsection
