@extends('layouts.front')

@section('content')
    <section id="page-banner" class="pt-105 pb-130 bg_cover" data-overlay="8"
        style="background-image: url({{ asset('assets/front/images/page-banner-6.jpg') }})">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="page-banner-cont">
                        <h2>Pricing</h2>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Plans</li>
                            </ol>
                        </nav>
                    </div> <!-- page banner cont -->
                </div>
            </div> <!-- row -->
        </div> <!-- container -->
    </section>

    <!--====== PAGE BANNER PART ENDS ======-->

    <!--====== CONTACT PART START ======-->

    <section id="course-part2" class="pt-115 pb-120 gray-bg">
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <div class="section-title pb-45">
                        <h5>Our Pricing</h5>
                        <h2>Best Packages </h2>
                    </div> <!-- section title -->
                </div>
            </div> <!-- row -->
            <div class="row mt-30">
                @foreach ($plans as $plan)
                    <div class="col-md-6">
                        <div class="card card-shadow border-0 mb-4">
                            <div class="card-body p-4">
                                <div class="d-flex align-items-center">
                                    <h5 class="font-weight-medium mb-0">{{ $plan->name }}</h5>
                                    @if ($loop->iteration == 1)
                                        <div class="ml-auto"><span
                                                class="badge badge-danger font-weight-normal p-2">Popular</span></div>
                                    @endif
                                </div>
                                <div class="row">
                                    <div class="col-lg-5 text-center">
                                        <div class="price-box my-3">
                                            <span class="text-dark display-5">{{ $plan->price }}$ </span>
                                            <h6 class="font-weight-light">for {{ $plan->duration }} days</h6>
                                            <a class="btn btn-info font-14 border-0 text-white p-3 btn-block mt-3"
                                                href="{{ route('student.checkout',$plan->id)}}">CHOOSE PLAN </a>
                                        </div>
                                    </div>
                                    <div class="col-lg-7 align-self-center">
                                        {!! $plan->description !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach



            </div> <!-- course slied -->
        </div> <!-- container -->
    </section>
@endsection

@section('scripts')
@endsection
