@extends('layouts.student')

@section('content')
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            Checkout
                        </h2>
                    </div>
                    <!-- Page title actions -->
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">
                <form method="post" action="{{ route("student.submitsubscription")}}" enctype="multipart/form-data">
                    <input type="hidden" name="plan_id" value="{{$plan->id}}">
                <div class="row g-4">
                    <div class="col-md-8">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-8">
                                        <h3>{{$plan->name}}</h3>
                                        <br>
                                        <p>
                                            {!!$plan->description!!}
                                        </p>
                                    </div>
                                    <div class="col-md-4">
                                        <h2><u>{{$plan->price}} {{getSetting('currency')}} - {{$plan->duration}} days</u></h2>

                                    </div>
                                    <hr>
                                    @if(getSetting('easy_pesa_status') == 1 )
                                    <div class="col-md-6 card">
                                        <div class="row card-body">
                                            <div class="col-md-12">
                                               <input type="radio" name="payment_method" checked value="EasyPesa"> <h5>EasyPesa</h5>
                                            </div>
                                            <hr>
                                            <div class="col-md-12">
                                                <h4>Account Title: <b>{{getSetting('easy_pesa_account_title')}}</b></h4>
                                                <h4>Account Number: <b>{{getSetting('easy_pesa_account_number')}}</b></h4>

                                            </div>
                                        </div>
                                    </div>
                                    @endif
                                    @if(getSetting('bank_status') == 1 )
                                    <div class="col-md-6 card">
                                        <div class="row card-body">
                                            <div class="col-md-12">
                                               <input type="radio" name="payment_method" checked value="Bank Transfer"> <h5>Bank Trasnfer</h5>
                                            </div>
                                            <hr>
                                            <div class="col-md-12">
                                                <h4>Bank Name: <b>{{getSetting('bank_name')}}</b></h4>
                                                <h4>Account Title: <b>{{getSetting('bank_account_title')}}</b></h4>
                                                <h4>Account Number: <b>{{getSetting('bank_account_number')}}</b></h4>
                                            </div>
                                        </div>
                                    </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <label>Full Name</label>
                                        <input type="text" name="name" class="form-control" required>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Email</label>
                                        <input type="email" name="email" class="form-control" required>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Contact #</label>
                                        <input type="text" name="contact" class="form-control" required>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Address</label>
                                        <input type="text" name="address" class="form-control" required>
                                    </div>
                                    <hr class="mt-2">
                                    <div class="col-md-12">
                                        <h4>Total Amount:  {{$plan->price}} {{getSetting('currency')}}</h4>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Payment Proof</label>
                                        <input type="file" name="proof" class="form-control" required>
                                    </div>
                                    <div class="col-md-12 mt-2">
                                        <input type="submit" class="btn btn-success" value="Pay & Proceed">
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                @csrf
                </form>
            </div>
        </div>
        @include('includes.admin_footer')
    </div>
@endsection

@section('scripts')
@endsection
