@extends('layouts.student')

@section('content')
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            Favourite Topics
                        </h2>
                    </div>
                    <!-- Page title actions -->
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">
                <div class="row g-4">

                    <div class="col-md-12">
                        <div class="row row-cards">
                            <div class="space-y">

                                @foreach ($topics as $topics)
                                <?php $topic = $topics->topic ?>
                                    <div class="card">
                                        <div class="row g-0">
                                            <div class="col-auto">
                                                <div class="card-body">
                                                    <div class="avatar avatar-md"
                                                        style="background-image: url({{ asset('banners/' . $topic->banner) }})">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col">
                                                <div class="card-body ps-0">
                                                    <div class="row">
                                                        <div class="col">
                                                            <h3 class="mb-0"><a
                                                                    href="{{ route('student.topicdetails', $topic->id) }}">{{ $topic->title }}</a>
                                                                @if ($topic->favtopic($topic->id) < 1)
                                                                    <a class="pull-right" style="float:right" href="{{ route('student.favtopic',['id'=>$topic->id,'status'=>'1'])}}"><svg
                                                                            xmlns="http://www.w3.org/2000/svg"
                                                                            width="24" height="24"
                                                                            viewBox="0 0 24 24" fill="none"
                                                                            stroke="currentColor" stroke-width="2"
                                                                            stroke-linecap="round" stroke-linejoin="round"
                                                                            class="icon icon-tabler icons-tabler-outline icon-tabler-heart">
                                                                            <path stroke="none" d="M0 0h24v24H0z"
                                                                                fill="none" />
                                                                            <path
                                                                                d="M19.5 12.572l-7.5 7.428l-7.5 -7.428a5 5 0 1 1 7.5 -6.566a5 5 0 1 1 7.5 6.572" />
                                                                        </svg></a>
                                                                @else
                                                                    <a class="pull-right" style="float:right" href="{{ route('student.favtopic',['id'=>$topic->id,'status'=>'0'])}}"><svg
                                                                            style="color: red;" xmlns="http://www.w3.org/2000/svg"
                                                                            width="24" height="24"
                                                                            viewBox="0 0 24 24" fill="currentColor"
                                                                            class="icon icon-tabler icons-tabler-filled icon-tabler-heart">
                                                                            <path stroke="none" d="M0 0h24v24H0z"
                                                                                fill="none" />
                                                                            <path
                                                                                d="M6.979 3.074a6 6 0 0 1 4.988 1.425l.037 .033l.034 -.03a6 6 0 0 1 4.733 -1.44l.246 .036a6 6 0 0 1 3.364 10.008l-.18 .185l-.048 .041l-7.45 7.379a1 1 0 0 1 -1.313 .082l-.094 -.082l-7.493 -7.422a6 6 0 0 1 3.176 -10.215z" />
                                                                        </svg></a>
                                                                @endif
                                                            </h3>

                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md">
                                                            <div
                                                                class="mt-3 list-inline list-inline-dots mb-0 text-muted d-sm-block d-none">
                                                                <div class="list-inline-item">
                                                                    <!-- Download SVG icon from http://tabler-icons.io/i/building-community -->
                                                                    <svg xmlns="http://www.w3.org/2000/svg"
                                                                        class="icon icon-inline" width="24"
                                                                        height="24" viewBox="0 0 24 24" stroke-width="2"
                                                                        stroke="currentColor" fill="none"
                                                                        stroke-linecap="round" stroke-linejoin="round">
                                                                        <path stroke="none" d="M0 0h24v24H0z"
                                                                            fill="none" />
                                                                        <path
                                                                            d="M8 9l5 5v7h-5v-4m0 4h-5v-7l5 -5m1 1v-6a1 1 0 0 1 1 -1h10a1 1 0 0 1 1 1v17h-8" />
                                                                        <path d="M13 7l0 .01" />
                                                                        <path d="M17 7l0 .01" />
                                                                        <path d="M17 11l0 .01" />
                                                                        <path d="M17 15l0 .01" />
                                                                    </svg>
                                                                    {{ $topic->grade->title ?? null }}
                                                                </div>
                                                                <div class="list-inline-item" @if($topic->is_paid == 1) style="color:red" @endif>
                                                                    <!-- Download SVG icon from http://tabler-icons.io/i/license -->
                                                                    <svg xmlns="http://www.w3.org/2000/svg"
                                                                        class="icon icon-inline" width="24"
                                                                        height="24" viewBox="0 0 24 24" stroke-width="2"
                                                                        stroke="currentColor" fill="none"
                                                                        stroke-linecap="round" stroke-linejoin="round">
                                                                        <path stroke="none" d="M0 0h24v24H0z"
                                                                            fill="none" />
                                                                        <path
                                                                            d="M15 21h-9a3 3 0 0 1 -3 -3v-1h10v2a2 2 0 0 0 4 0v-14a2 2 0 1 1 2 2h-2m2 -4h-11a3 3 0 0 0 -3 3v11" />
                                                                        <path d="M9 7l4 0" />
                                                                        <path d="M9 11l4 0" />
                                                                    </svg>
                                                                    {{ $topic->is_paid == 1 ? "Premium" : 'Free' }}
                                                                </div>
                                                                <div class="list-inline-item">
                                                                    <!-- Download SVG icon from http://tabler-icons.io/i/map-pin -->
                                                                    <svg xmlns="http://www.w3.org/2000/svg"
                                                                        class="icon icon-inline" width="24"
                                                                        height="24" viewBox="0 0 24 24" stroke-width="2"
                                                                        stroke="currentColor" fill="none"
                                                                        stroke-linecap="round" stroke-linejoin="round">
                                                                        <path stroke="none" d="M0 0h24v24H0z"
                                                                            fill="none" />
                                                                        <path d="M9 11a3 3 0 1 0 6 0a3 3 0 0 0 -6 0" />
                                                                        <path
                                                                            d="M17.657 16.657l-4.243 4.243a2 2 0 0 1 -2.827 0l-4.244 -4.243a8 8 0 1 1 11.314 0z" />
                                                                    </svg>
                                                                    {{ $topic->subject->title ?? null }}
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-auto">
                                                            <div class="mt-3 badges">
                                                                @foreach ($topic->topictags as $tags)
                                                                    <a href="#"
                                                                        class="badge badge-outline text-muted border fw-normal badge-pill">{{ $tags->tag->title }}</a>
                                                                @endforeach
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach



                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @include('includes.admin_footer')
    </div>
@endsection

@section('scripts')
@endsection
