@extends('layouts.student')

@section('content')
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        {{-- <h2 class="page-title">
                            Profile
                        </h2> --}}
                    </div>
                    <!-- Page title actions -->
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">
                <div class="row justify-content-center">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-header">
                                @if (auth()->user()->type == 0)
                                    <span class="badge badge-danger" style="background: red">Free</span>
                                @endif
                                @if (auth()->user()->type == 1)
                                    <span class="badge badge-success" style="background: gold">Premium</span>
                                @endif
                            </div>

                            <div class="card-body">
                                @if (session('success'))
                                    <div class="alert alert-success">
                                        {{ session('success') }}
                                    </div>
                                @endif

                                <form method="POST" action="{{ route('student.profile.update') }}"
                                    enctype="multipart/form-data">
                                    @csrf
                                    @method('PUT')

                                    <div class="row">

                                        <!-- Left Side - Basic Info -->
                                        <div class="col-md-4 text-center">
                                            <!-- Profile Picture -->

                                            @if (auth()->user()->profile_picture)
                                                <img src="{{ asset('uploads/profile_pictures/' . auth()->user()->profile_picture) }}"
                                                    alt="Profile Picture" class="img-thumbnail mt-2"
                                                    style="max-width: 150px;">
                                            @endif
                                            <div class="mb-3">
                                                <label for="profile_picture">Profile Picture</label>
                                                <input type="file"
                                                    class="form-control @error('profile_picture') is-invalid @enderror"
                                                    name="profile_picture">



                                                @error('profile_picture')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <!-- Email (non-editable) -->
                                            <div class="form-group mb-3">
                                                <label for="email">Email</label>
                                                <input id="email" type="email" class="form-control"
                                                    value="{{ auth()->user()->email }}" disabled>
                                            </div>

                                            <!-- Username -->
                                            <div class="form-group mb-3">
                                                <label for="name">Name</label>
                                                <input id="name" type="text"
                                                    class="form-control @error('name') is-invalid @enderror" name="name"
                                                    value="{{ old('name', auth()->user()->name) }}" required>

                                                @error('name')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <div class="form-group">
                                                <button type="submit" class="btn btn-primary">
                                                    Update Profile
                                                </button>
                                            </div>
                                        </div>

                                        <!-- Right Side - Student Information -->
                                        <div class="col-md-8" style="max-height: 300px;overflow:auto">
                                            <h5>Student Information</h5>
                                            <hr>

                                            <!-- Name -->
                                            <div class="form-group mb-3">
                                                <label for="student_name">Full Name</label>
                                                <input id="student_name" type="text"
                                                    class="form-control @error('student_name') is-invalid @enderror"
                                                    name="student_name"
                                                    value="{{ old('student_name', $student->name ?? '') }}" required>

                                                @error('student_name')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <!-- Guardian -->
                                            <div class="form-group mb-3">
                                                <label for="guardian">Guardian</label>
                                                <input id="guardian" type="text"
                                                    class="form-control @error('guardian') is-invalid @enderror"
                                                    name="guardian" value="{{ old('guardian', $student->guardian ?? '') }}"
                                                    required>

                                                @error('guardian')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <!-- School -->
                                            <div class="form-group mb-3">
                                                <label for="school">School</label>
                                                <input id="school" type="text"
                                                    class="form-control @error('school') is-invalid @enderror"
                                                    name="school" value="{{ old('school', $student->school ?? '') }}"
                                                    required>

                                                @error('school')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <!-- Grade ID -->
                                            <div class="form-group mb-3">
                                                <label for="grade_id">Grade</label>
                                                <input id="grade_id" type="text"
                                                    class="form-control @error('grade_id') is-invalid @enderror"
                                                    name="grade_id" value="{{ old('grade_id', $student->grade_id ?? '') }}"
                                                    required>

                                                @error('grade_id')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <!-- Contact -->
                                            <div class="form-group mb-3">
                                                <label for="contact">Contact</label>
                                                <input id="contact" type="text"
                                                    class="form-control @error('contact') is-invalid @enderror"
                                                    name="contact" value="{{ old('contact', $student->contact ?? '') }}"
                                                    required>

                                                @error('contact')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <!-- Address -->
                                            <div class="form-group mb-3">
                                                <label for="address">Address</label>
                                                <textarea id="address" class="form-control @error('address') is-invalid @enderror" name="address" required>{{ old('address', $student->address ?? '') }}</textarea>

                                                @error('address')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <!-- City -->
                                            <div class="form-group mb-3">
                                                <label for="city">City</label>
                                                <input id="city" type="text"
                                                    class="form-control @error('city') is-invalid @enderror"
                                                    name="city" value="{{ old('city', $student->city ?? '') }}"
                                                    required>

                                                @error('city')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <!-- Country -->
                                            <div class="form-group mb-3">
                                                <label for="country">Country</label>
                                                <input id="country" type="text"
                                                    class="form-control @error('country') is-invalid @enderror"
                                                    name="country" value="{{ old('country', $student->country ?? '') }}"
                                                    required>

                                                @error('country')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <!-- Submit Button -->

                                        </div>


                                    </div>
                                </form>


                            </div>
                        </div>
                    </div>

                    <div class="col-md-12">
                        <div class="row card mt-4">
                            <div class="card-header">
                                Subscriptions
                                @if (auth()->user()->type == 0)
                                    <span class="badge badge-danger" style="background: red"><a href="{{ route('front.pricing')}}">Free</a></span>
                                @endif
                                @if (auth()->user()->type == 1)
                                    <span class="badge badge-success" style="background: gold">Premium</span>
                                @endif
                            </div>
                            <div class="col-md-12 card-body">
                                <table class="table card-table table-vcenter text-nowrap datatable">
                                    <thead>
                                        <tr>
                                            <th class="w-1">#.
                                                <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-sm icon-thick"
                                                    width="24" height="24" viewBox="0 0 24 24" stroke-width="2"
                                                    stroke="currentColor" fill="none" stroke-linecap="round"
                                                    stroke-linejoin="round">
                                                    <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                                                    <path d="M6 15l6 -6l6 6" />
                                                </svg>
                                            </th>
                                            <th>Name</th>
                                            <th>Email</th>
                                            <th>Contact</th>
                                            <th>Address</th>
                                            <th>Plan</th>
                                            <th>Gateway</th>
                                            <th>Amount</th>
                                            <th>Proof</th>
                                            <th>Date Payment</th>
                                            <th>status</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach (auth()->user()->subscriptions as $subscription)
                                            <tr>
                                                <td><span class="text-muted">{{ $loop->iteration }}</span></td>
                                                <td><a
                                                        href="{{ route('admin.studentprofile', $subscription->user_id) }}">{{ $subscription->name }}</a>
                                                </td>
                                                <td>
                                                    {{ $subscription->email }}
                                                </td>
                                                <td>
                                                    {{ $subscription->contact }}
                                                </td>
                                                <td>
                                                    {{ $subscription->address }}
                                                </td>

                                                <td>
                                                    {{ $subscription->plan->name }}
                                                </td>
                                                <td>
                                                    {{ $subscription->payment_type }}
                                                </td>
                                                <td>
                                                    {{ $subscription->plan_price }} {{ $subscription->currency }}
                                                </td>
                                                <td>
                                                    <a href="{{ asset('proofs/' . $subscription->proof) }}"> <i
                                                            class="fa fa-file"></i> File</a>
                                                </td>
                                                <td>
                                                    {{ $subscription->created_at }}
                                                </td>
                                                <td>
                                                    @if ($subscription->status == 1)
                                                        <span class="badge bg-success me-1"></span>
                                                    @elseif($subscription->status == 0)
                                                        <span class="badge bg-danger me-1"></span>
                                                    @else
                                                        Expired or Cancelled
                                                    @endif

                                                </td>
                                                <td>
                                                    @if ($subscription->status == 1)
                                                        <a class="btn btn-danger"
                                                            href="{{ route('student.cancelsubscription', $subscription->id) }}">Cancel</a>
                                                    @endif
                                                </td>
                                            </tr>
                                        @endforeach

                                    </tbody>
                                </table>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
