@extends('layouts.student')

@section('content')
    <div class="page-wrapper">
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            Your Quiz Attempts
                        </h2>
                    </div>
                    <!-- Page title actions -->
                </div>
            </div>
        </div>
        <div class="page-body">
            <div class="container-xl">
                <div class="card">
                    <div class="card-body">
                        @if ($quizAttempts->isEmpty())
                            <p>You haven't attempted any quizzes yet.</p>
                        @else
                            <table class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>Quiz Title</th>
                                        <th>Topic</th>
                                        <th>Score</th>
                                        <th>Total Marks</th>
                                        <th>Date Attempted</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($quizAttempts as $attempt)
                                        <tr>
                                            <td>{{ $attempt->quiz->title }}</td>
                                            <td>{{ $attempt->quiz->topic->title }}</td>
                                            <td>{{ $attempt->score }}</td>
                                            <td>{{ $attempt->total_marks }}</td>
                                            <td>{{ $attempt->created_at->format('d M, Y h:i A') }}</td>
                                            <td>
                                                <a href="{{ route('student.quiz.result', $attempt->id) }}"
                                                    class="btn btn-primary btn-sm">View Result</a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
