<?php $__env->startSection('styles'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/richtexteditor/rte_theme_default.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            New Quiz
                        </h2>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">

                <div class="row">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">Quiz</h3>
                            </div>
                             <div class="card-body">
                                <form action="<?php echo e(route('admin.saveQuiz')); ?>" method="POST">
                                    <?php echo csrf_field(); ?>

                                    <div class="form-group">
                                        <label for="title">Topic</label>
                                        <select class="form-control" name="topic_id" required>
                                            <?php $__currentLoopData = $topics; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $topic): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($topic->id); ?>"><?php echo e($topic->title); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                    <!-- Quiz Title -->
                                    <div class="form-group">
                                        <label for="title">Quiz Title</label>
                                        <input type="text" class="form-control" id="title" name="title" required>
                                    </div>

                                    <!-- Quiz Description -->
                                    <div class="form-group">
                                        <label for="description">Quiz Description</label>
                                        <textarea class="form-control" id="description" name="description"></textarea>
                                    </div>

                                    <!-- Quiz Duration -->
                                    <div class="form-group">
                                        <label for="duration">Duration (in minutes)</label>
                                        <input type="number" class="form-control" id="duration" name="duration" required>
                                    </div>

                                    <hr>

                                    <!-- Questions Selection -->
                                    <h5>Select Questions</h5>
                                    <div class="table-responsive">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>Select</th>
                                                    <th>Question Title</th>
                                                    <th>Type</th>
                                                    <th>Assign Marks</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php $__currentLoopData = $questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $question): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr>
                                                        <td>
                                                            <input type="checkbox" name="questions[<?php echo e($loop->index); ?>][id]" value="<?php echo e($question->id); ?>">
                                                        </td>
                                                        <td><?php echo e($question->title); ?></td>
                                                        <td><?php echo e(ucfirst($question->question_type->type ?? "")); ?></td>
                                                        <td>
                                                            <input type="number" class="form-control" name="questions[<?php echo e($loop->index); ?>][marks]" min="1" placeholder="Marks" required>
                                                        </td>
                                                    </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </tbody>
                                        </table>
                                    </div>

                                    <button type="submit" class="btn btn-success mt-3">Create Quiz</button>
                                </form>
                            </div>
                        </div>
                    </div>



                </div>

            </div>
        </div>

        <?php echo $__env->make('includes.admin_footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(asset('assets/admin/dist/libs/nouislider/dist/nouislider.min.js?1684106062')); ?>" defer></script>
    <script src="<?php echo e(asset('assets/admin/dist/libs/litepicker/dist/litepicker.js?1684106062')); ?>" defer></script>
    <script src="<?php echo e(asset('assets/admin/dist/libs/tom-select/dist/js/tom-select.base.min.js?1684106062')); ?>" defer></script>


    <script type="text/javascript" src="<?php echo e(asset('assets/richtexteditor/rte.js')); ?>"></script>
    <script type="text/javascript" src='<?php echo e(asset('assets/richtexteditor/plugins/all_plugins.js')); ?>'></script>

    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script>
         var selectElement = document.getElementById('select-states2');
    </script>
    <script>
        // @formatter:off
        document.addEventListener("DOMContentLoaded", function() {
            var el;
            window.TomSelect && (new TomSelect(el = document.getElementById('select-states'), {
                copyClassesToDropdown: false,
                dropdownParent: 'body',
                controlInput: '<input>',
                render: {
                    item: function(data, escape) {
                        if (data.customProperties) {
                            return '<div><span class="dropdown-item-indicator">' + data
                                .customProperties + '</span>' + escape(data.text) + '</div>';
                        }
                        return '<div>' + escape(data.text) + '</div>';
                    },
                    option: function(data, escape) {
                        if (data.customProperties) {
                            return '<div><span class="dropdown-item-indicator">' + data
                                .customProperties + '</span>' + escape(data.text) + '</div>';
                        }
                        return '<div>' + escape(data.text) + '</div>';
                    },
                },
            }));
        });


</script>

<script>

document.addEventListener("DOMContentLoaded", function() {
    var selectElement = document.getElementById('select-states2');

    // Function to initialize TomSelect
    function initializeTomSelect() {
        window.TomSelect && (new TomSelect(selectElement, {
            copyClassesToDropdown: false,
            dropdownParent: 'body',
            controlInput: '<input>',
            render: {
                item: function(data, escape) {
                    if (data.customProperties) {
                        return '<div><span class="dropdown-item-indicator">' + data.customProperties + '</span>' + escape(data.text) + '</div>';
                    }
                    return '<div>' + escape(data.text) + '</div>';
                },
                option: function(data, escape) {
                    if (data.customProperties) {
                        return '<div><span class="dropdown-item-indicator">' + data.customProperties + '</span>' + escape(data.text) + '</div>';
                    }
                    return '<div>' + escape(data.text) + '</div>';
                },
            },
        }));
    }

    // Initial TomSelect setup
    initializeTomSelect();

    // Function to destroy and reinitialize TomSelect
    function refreshTomSelect() {
        // Destroy the existing TomSelect instance
        if (selectElement.tomselect) {
            selectElement.tomselect.destroy();
        }

        // Clear the existing options
        selectElement.innerHTML = '';

        // Reinitialize TomSelect
       // initializeTomSelect();
    }

    // Function to get questions and update select options
    function getquestions() {
        var topic_id = $("#topic_id").val();
        $.ajax({
            url: "<?php echo e(route('admin.getquestions')); ?>", // Replace with your URL
            method: 'POST', // or 'POST', 'PUT', 'DELETE', etc.
            data: {
                topic_id: topic_id,
                _token: "<?php echo e(csrf_token()); ?>"
            },
            success: function(response) {
                refreshTomSelect();
                $("#select-states2").html(response.view); // Assuming response.view contains the new options
                initializeTomSelect();
            },
            error: function(xhr, status, error) {
                alert("Something went wrong");
            }
        });
    }

    // Example trigger for getquestions function
    // Replace with your actual trigger, e.g., button click
    document.getElementById('topic_id').addEventListener('change', getquestions);
});

</script>
    <script>
        $(document).ready(function() {
            let questionCount = 0;

            $('#addQuestionBtn').click(function() {
                questionCount++;
                let questionHTML = `
                    <div class="card mb-3" id="question${questionCount}">
                        <div class="card-body">
                            <div class="form-group">
                                <label for="questionTitle${questionCount}">Question Title</label>
                                <input type="text" class="form-control" id="questionTitle${questionCount}" name="questionTitle${questionCount}" required>
                            </div>
                            <div class="form-group">
                                <label for="questionType${questionCount}">Question Type</label>
                                <select class="form-control questionType" id="questionType${questionCount}" name="questionType${questionCount}" data-question-id="${questionCount}" required>
                                    <option value="">Select Type</option>
                                    <option value="dropdown">Dropdown</option>
                                    <option value="checkbox">Checkbox</option>
                                    <option value="radio">Radio</option>
                                </select>
                            </div>
                            <div class="optionsContainer" id="optionsContainer${questionCount}"></div>
                            <div class="form-group">
                                <label for="correctAnswer${questionCount}">Correct Answer</label>
                                <input type="text" class="form-control" id="correctAnswer${questionCount}" name="correctAnswer${questionCount}" required>
                            </div>
                            <button type="button" class="btn btn-danger removeQuestionBtn" data-question-id="${questionCount}">Remove Question</button>
                        </div>
                    </div>
                `;
                $('#questionsContainer').append(questionHTML);
            });

            $('#questionsContainer').on('change', '.questionType', function() {
                let questionId = $(this).data('question-id');
                let questionType = $(this).val();
                let optionsContainer = $(`#optionsContainer${questionId}`);
                optionsContainer.empty();

                if (questionType === 'dropdown' || questionType === 'checkbox' || questionType ===
                    'radio') {
                    let optionHTML = `
                        <div class="form-group">
                            <label>Options</label>
                            <div class="input-group mb-3">
                                <input type="text" class="form-control optionInput" name="option${questionId}[]" required>
                                <div class="input-group-append">
                                    <button type="button" class="btn btn-outline-secondary addOptionBtn" data-question-id="${questionId}">Add Option</button>
                                </div>
                            </div>
                        </div>
                    `;
                    optionsContainer.append(optionHTML);
                }
            });

            $('#questionsContainer').on('click', '.addOptionBtn', function() {
                let questionId = $(this).data('question-id');
                let optionHTML = `
                    <div class="input-group mb-3">
                        <input type="text" class="form-control optionInput" name="option${questionId}[]" required>
                        <div class="input-group-append">
                            <button type="button" class="btn btn-outline-danger removeOptionBtn" data-question-id="${questionId}">Remove</button>
                        </div>
                    </div>
                `;
                $(`#optionsContainer${questionId}`).append(optionHTML);
            });

            $('#questionsContainer').on('click', '.removeOptionBtn', function() {
                $(this).closest('.input-group').remove();
            });

            $('#questionsContainer').on('click', '.removeQuestionBtn', function() {
                let questionId = $(this).data('question-id');
                $(`#question${questionId}`).remove();
            });

            $('#quizForm').submit(function(e) {
                e.preventDefault();
                let quizData = $(this).serializeArray();
                console.log(quizData);
                alert('Quiz submitted! Check console for data.');
            });
        });
    </script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\wamp64\www\lmsproject\lmsportal\resources\views/admin/new_quiz.blade.php ENDPATH**/ ?>