<?php $__env->startSection('content'); ?>
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            All Questions
                        </h2>
                    </div>
                    <div class="col-auto ms-auto d-print-none">
                        <a href="<?php echo e(route('admin.newQuestions')); ?>" class="btn btn-primary">
                            <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
                            <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24"
                                viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none"
                                stroke-linecap="round" stroke-linejoin="round">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                                <path d="M12 5l0 14" />
                                <path d="M5 12l14 0" />
                            </svg>
                            Create Question
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">


                <div class="row">
                    <div class="card">

                        <div class="card-body">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>Question Title</th>
                                        <th>Type</th>
                                        <th>Answer</th>
                                        <th>Correct Answer</th>
                                        <th>Status</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $question): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo e($question->title ?? 'N/A'); ?></td>
                                            <td><?php echo e(ucfirst($question->type->type ?? 'N/A')); ?></td>

                                            <!-- Display Answers or Options -->
                                            <td>
                                                <?php if(in_array($question->question_type_id, [3, 4, 5])): ?>
                                                    <!-- Assuming 3=dropdown, 4=checkbox, 5=radio -->
                                                    <?php $__currentLoopData = $question->options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <div><?php echo e($option->option_text); ?></div>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php else: ?>
                                                    <?php echo e($question->correct_answer ?? 'N/A'); ?>

                                                <?php endif; ?>
                                            </td>

                                            <!-- Correct Answer -->
                                            <td><?php echo e($question->correct_answer ?? 'N/A'); ?></td>
                                            <td>
                                                <?php if($question->status == 1): ?>
                                                    <span class="badge bg-success me-1"></span>
                                                <?php else: ?>
                                                    <span class="badge bg-danger me-1"></span>
                                                <?php endif; ?>
                                            </td>
                                        <td>
                                            <?php if($question->status == 1): ?>
                                            <a href="<?php echo e(route('admin.deletequestion', ['question_id'=>$question->id,'id'=>'0'])); ?>" class="btn-sm btn-danger">Disable</a>
                                            <?php else: ?>
                                            <a href="<?php echo e(route('admin.deletequestion', ['question_id'=>$question->id,'id'=>'1'])); ?>" class="btn-sm btn-success">Activate</a>
                                            <?php endif; ?>
                                        </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>

                        </div>
                    </div>

                </div>


            </div>
        </div>

        <?php echo $__env->make('includes.admin_footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\wamp64\www\lmsproject\lmsportal\resources\views/admin/questions.blade.php ENDPATH**/ ?>