<?php $__env->startSection('content'); ?>
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            Grades
                        </h2>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">


                <div class="row">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">Students List</h3>
                            </div>
                            <table class="table card-table table-vcenter text-nowrap datatable">
                                <thead>
                                    <tr>
                                        <th class="w-1">#.
                                            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-sm icon-thick"
                                                width="24" height="24" viewBox="0 0 24 24" stroke-width="2"
                                                stroke="currentColor" fill="none" stroke-linecap="round"
                                                stroke-linejoin="round">
                                                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                                                <path d="M6 15l6 -6l6 6" />
                                            </svg>
                                        </th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Contact</th>
                                        <th>Guardian</th>
                                        <th>Grade</th>
                                        <th>Address</th>
                                        <th>City</th>
                                        <th>Country</th>
                                        <th>Remarks</th>
                                        <th>Date</th>
                                        <th>status</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><span class="text-muted"><?php echo e($loop->iteration); ?></span></td>
                                            <td><?php echo e($student->name); ?></td>
                                            <td>
                                                <?php echo e($student->email); ?>

                                            </td>
                                            <td>
                                                <?php echo e($student->contact); ?>

                                            </td>
                                            <td>
                                                <?php echo e($student->guardian); ?>

                                            </td>
                                            <td>
                                                <?php echo e($student->grade_id); ?>

                                            </td>
                                            <td>
                                                <?php echo e($student->address); ?>

                                            </td>
                                            <td>
                                                <?php echo e($student->city); ?>

                                            </td>
                                            <td>
                                                <?php echo e($student->country); ?>

                                            </td>
                                            <td>
                                                <?php echo e($student->remarks); ?>

                                            </td>
                                            <td>
                                                <?php echo e($student->created_at); ?>

                                            </td>
                                            <td>
                                                <?php if($student->status == 1): ?>
                                                    <span class="badge bg-success me-1"></span>
                                                <?php else: ?>
                                                    <span class="badge bg-danger me-1"></span>
                                                <?php endif; ?>
                                            </td>

                                            <td class="text-end">
                                                <span class="dropdown">
                                                    <button class="btn dropdown-toggle align-text-top"
                                                        data-bs-boundary="viewport"
                                                        data-bs-toggle="dropdown">Actions</button>
                                                    <div class="dropdown-menu dropdown-menu-end">
                                                        <a href="#" class="dropdown-item" data-bs-toggle="modal"
                                                            data-bs-target="#editmodal"
                                                            onclick="">
                                                            Edit
                                                        </a>
                                                        <?php if($student->status == 1): ?>
                                                            <a class="dropdown-item"
                                                                href="<?php echo e(route('admin.blockstudent', [$student->id, '0'])); ?>">Block</a>
                                                        <?php else: ?>
                                                            <a class="dropdown-item"
                                                                href="<?php echo e(route('admin.blockstudent', [$student->id, '1'])); ?>">Active</a>
                                                        <?php endif; ?>
                                                        <a class="dropdown-item"
                                                                href="<?php echo e(route('admin.studentprofile', $student->id)); ?>">Details</a>
                                                    </div>
                                                </span>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                </tbody>
                            </table>
                            <div class="card-footer d-flex align-items-center">
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>

        <?php echo $__env->make('includes.admin_footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>


    <div class="modal modal-blur fade" id="editmodal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="editform">
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script>
        function getedit(id) {
            $.ajax({
                url: "<?php echo e(route('admin.getgrades')); ?>", // Replace with your URL
                method: 'POST', // or 'POST', 'PUT', 'DELETE', etc.
                data: {
                    grade_id: id,
                    _token: "<?php echo e(csrf_token()); ?>"
                },
                success: function(response) {
                    $("#editform").html(response.view);
                },
                error: function(xhr, status, error) {
                    alert("Something went wrong");
                }
            });
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\wamp64\www\lmsproject\lmsportal\resources\views/admin/students.blade.php ENDPATH**/ ?>