<!doctype html>
<!--
* Tabler - Premium and Open Source dashboard template with responsive and high quality UI.
* @version 1.0.0-beta19
* @link https://tabler.io
* Copyright 2018-2023 The Tabler Authors
* Copyright 2018-2023 codecalm.net Paweł Kuna
* Licensed under MIT (https://github.com/tabler/tabler/blob/master/LICENSE)
-->
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Sign in - LMS</title>
    <!-- CSS files -->
    <link href="<?php echo e(asset('assets/admin/dist/css/tabler.min.css?1684106062')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/admin/dist/css/tabler-flags.min.css?1684106062')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/admin/dist/css/tabler-payments.min.css?1684106062')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/admin/dist/css/tabler-vendors.min.css?1684106062')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/admin/dist/css/demo.min.css?1684106062')); ?>" rel="stylesheet" />
    <style>
        @import url('https://rsms.me/inter/inter.css');

        :root {
            --tblr-font-sans-serif: 'Inter Var', -apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif;
        }

        body {
            font-feature-settings: "cv03", "cv04", "cv11";
        }
    </style>
</head>

<body class=" d-flex flex-column">
    <script src="<?php echo e(asset('assets/admin/dist/js/demo-theme.min.js?1684106062')); ?>"></script>
    <div class="page page-center">
        <div class="container container-normal py-4">
            <div class="row align-items-center g-4">
                <div class="col-lg">
                    <div class="container-tight">
                        <div class="text-center mb-4">
                            <a href="." class="navbar-brand navbar-brand-autodark"><img
                                    src="<?php echo e(asset('uploads/settings/' . getSetting('logo'))); ?>" height="36" alt=""></a>
                        </div>
                        <div class="card card-md">
                            <div class="card-body">
                                <h2 class="h2 text-center mb-4">Login to your account</h2>
                                <form action="<?php echo e(route('login')); ?>" method="post">
                                    <?php echo csrf_field(); ?>
                                    <div class="mb-3">
                                        <label class="form-label">Email address</label>
                                        <input type="email" class="form-control" required placeholder="your@email.com"
                                            autocomplete="off" name="email" value="<?php echo e(old('email')); ?>">
                                        <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    <div class="mb-2">
                                        <label class="form-label">
                                            Password
                                            <span class="form-label-description">
                                                <a href="#">I forgot password</a>
                                            </span>
                                        </label>
                                        <div class="input-group input-group-flat">
                                            <input type="password" class="form-control" required
                                                placeholder="Your password" name="password" required
                                                autocomplete="current-password">
                                            <span class="input-group-text">
                                                <a href="#" class="link-secondary" title="Show password"
                                                    data-bs-toggle="tooltip"><!-- Download SVG icon from http://tabler-icons.io/i/eye -->
                                                    <svg xmlns="http://www.w3.org/2000/svg" class="icon"
                                                        width="24" height="24" viewBox="0 0 24 24"
                                                        stroke-width="2" stroke="currentColor" fill="none"
                                                        stroke-linecap="round" stroke-linejoin="round">
                                                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                                                        <path d="M10 12a2 2 0 1 0 4 0a2 2 0 0 0 -4 0" />
                                                        <path
                                                            d="M21 12c-2.4 4 -5.4 6 -9 6c-3.6 0 -6.6 -2 -9 -6c2.4 -4 5.4 -6 9 -6c3.6 0 6.6 2 9 6" />
                                                    </svg>
                                                </a>
                                            </span>
                                            <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <span class="invalid-feedback" role="alert">
                                                    <strong><?php echo e($message); ?></strong>
                                                </span>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <div class="mb-2">
                                        <label class="form-check">
                                            <input type="checkbox" class="form-check-input" />
                                            <span class="form-check-label">Remember me on this device</span>
                                        </label>
                                    </div>
                                    <div class="form-footer">
                                        <button type="submit" class="btn btn-primary w-100">Sign in</button>
                                    </div>
                                </form>
                            </div>
                            
                            
                        </div>
                        <div class="text-center text-muted mt-3">
                            Don't have account yet? <a href="<?php echo e(route('front.students')); ?>" tabindex="-1">Sign up</a>
                            <br><a href="<?php echo e(route('admin.login')); ?>" tabindex="-1">Admin</a>
                        </div>
                    </div>
                </div>
                <div class="col-lg d-none d-lg-block">
                    <img src="<?php echo e(asset('assets/admin/static/illustrations/undraw_secure_login_pdn4.svg')); ?>"
                        height="300" class="d-block mx-auto" alt="">
                </div>
            </div>
        </div>
    </div>
    <!-- Libs JS -->
    <!-- Tabler Core -->
    <script src="<?php echo e(asset('assets/admin/dist/js/tabler.min.js?1684106062')); ?>" defer></script>
    <script src="<?php echo e(asset('assets/admin/dist/js/demo.min.js?1684106062')); ?>" defer></script>

    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        <?php if(session()->has('error')): ?>
            Swal.fire({
                title: 'Error!',
                text: "<?php echo e(session()->get('error')); ?>",
                icon: 'error',
                confirmButtonText: 'Ok'
            })
        <?php endif; ?>
        <?php if(session()->has('success')): ?>
            Swal.fire({
                title: 'Success!',
                text: "<?php echo e(session()->get('success')); ?>",
                icon: 'success',
                confirmButtonText: 'Ok'
            })
        <?php endif; ?>
        <?php if(session()->has('warning')): ?>
            Swal.fire({
                title: 'Warning!',
                text: "<?php echo e(session()->get('warning')); ?>",
                icon: 'warning',
                confirmButtonText: 'Ok'
            })
        <?php endif; ?>
    </script>
</body>

</html>
<?php /**PATH E:\wamp64\www\lmsproject\lmsportal\resources\views/auth/login.blade.php ENDPATH**/ ?>