<?php $__env->startSection('content'); ?>
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            Student Profile
                        </h2>
                    </div>
                </div>
            </div>
        </div>
        <div class="page-body">
            <div class="container-xl">
                <div class="row justify-content-center">
                    <div class="col-md-12">
                        <div class="card">
                            

                            <div class="card-body">
                                <?php if(session('success')): ?>
                                    <div class="alert alert-success">
                                        <?php echo e(session('success')); ?>

                                    </div>
                                <?php endif; ?>

                                <div class="row">
                                    <!-- Left Side - Basic Info -->
                                    <div class="col-md-4 text-center">
                                        <!-- Profile Picture -->
                                        <div class="mb-3">
                                            
                                            <?php if(auth()->user()->profile_picture): ?>
                                                <img src="<?php echo e(asset('uploads/profile_pictures/' . auth()->user()->profile_picture)); ?>"
                                                    alt="Profile Picture" class="img-thumbnail mt-2"
                                                    style="max-width: 150px;">
                                            <?php else: ?>
                                                <img src="<?php echo e(asset('uploads/profile_pictures/default.png')); ?>"
                                                    alt="Profile Picture" class="img-thumbnail mt-2"
                                                    style="max-width: 150px;">
                                            <?php endif; ?>
                                        </div>

                                        <!-- Email (non-editable) -->
                                        <div class="form-group mb-3">
                                            <label>Email</label>
                                            <input type="email" class="form-control" value="<?php echo e(auth()->user()->email); ?>"
                                                disabled>
                                        </div>

                                        <!-- Username (non-editable) -->
                                        <div class="form-group mb-3">
                                            <label>Username</label>
                                            <input type="text" class="form-control" value="<?php echo e(auth()->user()->name); ?>"
                                                disabled>
                                        </div>
                                    </div>

                                    <!-- Right Side - Personal Details & Password -->
                                    <div class="col-md-8">
                                        <h5>Personal Details</h5>
                                        <hr>

                                        <!-- Student Details -->
                                        <div class="form-group mb-3">
                                            <label>Full Name</label>
                                            <input type="text" class="form-control" value="<?php echo e($student->name); ?>"
                                                disabled>
                                        </div>

                                        <div class="form-group mb-3">
                                            <label>Guardian</label>
                                            <input type="text" class="form-control" value="<?php echo e($student->guardian); ?>"
                                                disabled>
                                        </div>

                                        <div class="form-group mb-3">
                                            <label>School</label>
                                            <input type="text" class="form-control" value="<?php echo e($student->school); ?>"
                                                disabled>
                                        </div>

                                        <div class="form-group mb-3">
                                            <label>Grade</label>
                                            <input type="text" class="form-control" value="<?php echo e($student->grade_id); ?>"
                                                disabled>
                                        </div>

                                        <div class="form-group mb-3">
                                            <label>Contact</label>
                                            <input type="text" class="form-control" value="<?php echo e($student->contact); ?>"
                                                disabled>
                                        </div>

                                        <div class="form-group mb-3">
                                            <label>Address</label>
                                            <textarea class="form-control" disabled><?php echo e($student->address); ?></textarea>
                                        </div>

                                        <div class="form-group mb-3">
                                            <label>City</label>
                                            <input type="text" class="form-control" value="<?php echo e($student->city); ?>"
                                                disabled>
                                        </div>

                                        <div class="form-group mb-3">
                                            <label>Country</label>
                                            <input type="text" class="form-control" value="<?php echo e($student->country); ?>"
                                                disabled>
                                        </div>

                                        <!-- Password Change -->
                                        <h5>Change Password</h5>
                                        <hr>

                                        <form method="POST" action="<?php echo e(route('admin.student.updatePassword')); ?>">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('PUT'); ?>

                                            <!-- Password -->
                                            <div class="form-group mb-3">
                                                <label for="password">New Password</label>
                                                <input id="password" type="password"
                                                    class="form-control <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                    name="password" required>

                                                <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong><?php echo e($message); ?></strong>
                                                    </span>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>

                                            <!-- Password Confirmation -->
                                            <div class="form-group mb-3">
                                                <label for="password-confirm">Confirm Password</label>
                                                <input id="password-confirm" type="password" class="form-control"
                                                    name="password_confirmation" required>
                                            </div>

                                            <div class="form-group">
                                                <button type="submit" class="btn btn-primary">
                                                    Update Password
                                                </button>
                                            </div>
                                        </form>
                                    </div>
                                </div>

                                <!-- Quiz Details -->
                                <h5 class="mt-4">Quiz Attempts</h5>
                                <hr>
                                 <table class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>Quiz Title</th>
                                        <th>Topic</th>
                                        <th>Score</th>
                                        <th>Total Marks</th>
                                        <th>Date Attempted</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $quizAttempts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $attempt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo e($attempt->quiz->title); ?></td>
                                            <td><?php echo e($attempt->quiz->topic->title); ?></td>
                                            <td><?php echo e($attempt->score); ?></td>
                                            <td><?php echo e($attempt->total_marks); ?></td>
                                            <td><?php echo e($attempt->created_at->format('d M, Y h:i A')); ?></td>
                                            <td>
                                                <a href="<?php echo e(route('admin.quiz.result', $attempt->id)); ?>"
                                                    class="btn btn-primary btn-sm">View Result</a>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\wamp64\www\lmsproject\lmsportal\resources\views/admin/student_profile.blade.php ENDPATH**/ ?>