<?php $__env->startSection('content'); ?>
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            <?php echo e($quiz->title); ?>

                        </h2>
                    </div>
                    <!-- Page title actions -->
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">
                <div class="row g-4">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <b>Time Left:</b>
                                    </div>
                                    <div class="col-md-6">
                                        <div id="timer" style="color: red"></div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>

                <!-- Quiz Form -->
                <form id="quizForm" action="<?php echo e(route('student.quizsubmit', $quiz->id)); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div id="quiz-container">
                        <?php $__currentLoopData = $quiz->questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $question): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="question" id="question<?php echo e($loop->iteration); ?>">
                                <h4>Question <?php echo e($loop->iteration); ?> of <?php echo e($quiz->questions->count()); ?></h4>
                                <p><?php echo e($question->title); ?></p>
                                <?php if($question->question_type->type == 'image'): ?>
                                <img src="<?php echo e(asset('storage/' . $question->image)); ?>" style="    max-width: 300px;max-height: 300px;">
                                <?php endif; ?>
                                <input type="hidden" name="questions[<?php echo e($question->id); ?>][question_id]"
                                    value="<?php echo e($question->id); ?>">
                                <?php if($question->question_type->type == 'dropdown'): ?>
                                    <select name="questions[<?php echo e($question->id); ?>][answer]" class="form-control">
                                        <?php $__currentLoopData = $question->question_options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($option->option_text); ?>"><?php echo e($option->option_text); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                <?php elseif($question->question_type->type == 'checkbox'): ?>
                                    <?php $__currentLoopData = $question->question_options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <label>
                                            <input type="checkbox" name="questions[<?php echo e($question->id); ?>][answer][]"
                                                value="<?php echo e($option->option_text); ?>">
                                            <?php echo e($option->option_text); ?>

                                        </label><br>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php elseif($question->question_type->type == 'radio'): ?>
                                    <?php $__currentLoopData = $question->question_options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <label>
                                            <input type="radio" name="questions[<?php echo e($question->id); ?>][answer]"
                                                value="<?php echo e($option->option_text); ?>">
                                            <?php echo e($option->option_text); ?>

                                        </label><br>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php elseif($question->question_type->type == 'text'): ?>
                                    <input type="text" name="questions[<?php echo e($question->id); ?>][answer]"
                                        class="form-control">
                                <?php elseif($question->question_type->type == 'image'): ?>
                                    <input type="text" name="questions[<?php echo e($question->id); ?>][answer]"
                                        class="form-control">
                                <?php elseif($question->question_type->type == 'file'): ?>
                                    <input type="file" name="questions[<?php echo e($question->id); ?>][answer]"
                                        class="form-control">
                                <?php endif; ?>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>

                    <div class="mt-3">
                        <button id="backBtn" type="button" class="btn btn-secondary" onclick="showPreviousQuestion()"
                            style="display: none;">
                            Back
                        </button>
                        <button id="nextBtn" type="button" class="btn btn-primary" onclick="showNextQuestion()">
                            Next
                        </button>
                    </div>
                </form>
            </div>
        </div>
        <?php echo $__env->make('includes.admin_footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script>
        let currentQuestion = 0;
        const questions = document.querySelectorAll('.question');
        const quizForm = document.getElementById('quizForm');

        function showQuestion(index) {
            questions.forEach((question, i) => {
                question.style.display = (i === index) ? 'block' : 'none';
            });
            document.getElementById('backBtn').style.display = (index > 0) ? 'inline-block' : 'none';
            document.getElementById('nextBtn').textContent = (index === questions.length - 1) ? 'Finish' : 'Next';
        }

        function showNextQuestion() {
            if (currentQuestion < questions.length - 1) {
                currentQuestion++;
                showQuestion(currentQuestion);
            } else if (currentQuestion === questions.length - 1) {
                quizForm.submit();
            }
        }

        function showPreviousQuestion() {
            if (currentQuestion > 0) {
                currentQuestion--;
                showQuestion(currentQuestion);
            }
        }

        showQuestion(currentQuestion);

        // Timer function
        function startTimer(minutes) {
            let time = minutes * 60; // Convert minutes to seconds
            const timerElement = document.getElementById('timer');

            const interval = setInterval(() => {
                let minutes = Math.floor(time / 60);
                let seconds = time % 60;

                // Add a leading zero if the number is less than 10
                minutes = minutes < 10 ? '0' + minutes : minutes;
                seconds = seconds < 10 ? '0' + seconds : seconds;

                // Display the timer
                timerElement.textContent = `${minutes}:${seconds}`;

                // Decrease time by one second
                time--;

                // Stop the timer when it reaches zero and submit the form
                if (time < 0) {
                    clearInterval(interval);
                    timerElement.textContent = "Time's up!";
                    quizForm.submit();
                }
            }, 1000);
        }

        // Start the timer with the specified number of minutes
        startTimer(<?php echo e($time); ?>);
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.student', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\wamp64\www\lmsproject\lmsportal\resources\views/student/quiz.blade.php ENDPATH**/ ?>