<?php $__env->startSection('content'); ?>
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            Subjects
                        </h2>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">


                <div class="row">
                    <div class="col-md-8">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">Subjects List</h3>
                            </div>
                            <table class="table card-table table-vcenter text-nowrap datatable">
                                <thead>
                                    <tr>
                                        <th class="w-1">#.
                                            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-sm icon-thick"
                                                width="24" height="24" viewBox="0 0 24 24" stroke-width="2"
                                                stroke="currentColor" fill="none" stroke-linecap="round"
                                                stroke-linejoin="round">
                                                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                                                <path d="M6 15l6 -6l6 6" />
                                            </svg>
                                        </th>
                                        <th>Subject</th>
                                        <th>Description</th>
                                        <th>Created At</th>
                                        <th>Status</th>
                                        <th>Featured</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subject): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><span class="text-muted"><?php echo e($loop->iteration); ?></span></td>
                                            <td><?php echo e($subject->title); ?></td>
                                            <td>
                                                <?php echo e($subject->description); ?>

                                            </td>
                                            <td>
                                                <?php echo e($subject->created_at); ?>

                                            </td>
                                            <td>
                                                <?php if($subject->status == 1): ?>
                                                    <span class="badge bg-success me-1"></span>
                                                <?php else: ?>
                                                    <span class="badge bg-danger me-1"></span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if($subject->show_front == 1): ?>
                                                    <span class="badge bg-success me-1">Yes</span>
                                                <?php else: ?>
                                                    <span class="badge bg-danger me-1">No</span>
                                                <?php endif; ?>
                                            </td>
                                            <td class="text-end">
                                                <span class="dropdown">
                                                    <button class="btn dropdown-toggle align-text-top"
                                                        data-bs-boundary="viewport"
                                                        data-bs-toggle="dropdown">Actions</button>
                                                    <div class="dropdown-menu dropdown-menu-end">
                                                        <a href="#" class="dropdown-item" data-bs-toggle="modal"
                                                            data-bs-target="#editmodal"
                                                            onclick="getedit('<?php echo e($subject->id); ?>')">
                                                            Edit
                                                        </a>
                                                        <a class="dropdown-item" href="<?php echo e(route('admin.deletesubjects', [$subject->id])); ?>">
                                                            Delete
                                                        </a>
                                                        <?php if($subject->show_front == 1): ?>
                                                            <a class="dropdown-item" href="<?php echo e(route('admin.featuresubjects', [$subject->id, '0'])); ?>">Unfeature</a>
                                                        <?php else: ?>
                                                            <a class="dropdown-item" href="<?php echo e(route('admin.featuresubjects', [$subject->id, '1'])); ?>">Feature</a>
                                                        <?php endif; ?>
                                                         <?php if($subject->status == 1): ?>
                                                            <a class="dropdown-item" href="<?php echo e(route('admin.disablesubjects', [$subject->id, '0'])); ?>">Disable</a>
                                                        <?php else: ?>
                                                            <a class="dropdown-item" href="<?php echo e(route('admin.disablesubjects', [$subject->id, '1'])); ?>">Enable</a>
                                                        <?php endif; ?>
                                                    </div>
                                                </span>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                </tbody>
                            </table>
                        </div>
                    </div>


                    <div class="col-md-4">

                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">Add New Subject</h3>
                            </div>

                            <form method="POST" action="<?php echo e(route('admin.savesubjects')); ?>">
                                <?php echo csrf_field(); ?>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <label>Title</label>
                                            <input type="text" class="form-control" required name="title">
                                        </div>
                                        <div class="col-md-12 mt-3">
                                            <label>Description</label>
                                            <textarea type="text" class="form-control" required name="description"></textarea>
                                        </div>
                                        <div class="col-md-12 mt-3">
                                            <label>Feature at front</label>
                                            <select class="form-control" name="show_front" required>
                                                <option value="1">Yes</option>
                                                <option value="0">No</option>
                                            </select>
                                        </div>
                                        <div class="col-md-12 mt-5">
                                            <input type="submit" class="btn btn-success pull-right" value="Add"
                                                style="float: right">
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>

                </div>


            </div>
        </div>

        <?php echo $__env->make('includes.admin_footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>

     <div class="modal modal-blur fade" id="editmodal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="editform">
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
 <script>
        function getedit(id) {
            $.ajax({
                url: "<?php echo e(route('admin.getsubjects')); ?>", // Replace with your URL
                method: 'POST', // or 'POST', 'PUT', 'DELETE', etc.
                data: {
                    subject_id: id,
                    _token: "<?php echo e(csrf_token()); ?>"
                },
                success: function(response) {
                    $("#editform").html(response.view);
                },
                error: function(xhr, status, error) {
                    alert("Something went wrong");
                }
            });
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\wamp64\www\lmsproject\lmsportal\resources\views/admin/subjects.blade.php ENDPATH**/ ?>