<?php $__env->startSection('content'); ?>
<div class="page-wrapper">
    <div class="container-xl">
        <div class="card">
            <div class="card-header">
                <button class="btn btn-primary float-right pull-right" onclick="window.print()">Print Results</button>
            </div>
            <div class="card-header print">
                <h2 class="card-title">Quiz Results: <?php echo e($quizAttempt->quiz->title); ?></h2>
            </div>
            <div class="card-header print">
                <h2><strong>Topic:</strong> <?php echo e($quizAttempt->quiz->topic->title); ?></h2> <!-- Display the topic -->

            </div>
            <div class="card-body">
                <div class="row mb-4">
                    <div class="col-md-6">
                        <p><strong>Total Marks:</strong> <?php echo e($quizAttempt->total_marks); ?></p>
                        <p><strong>Correct Answers:</strong> <?php echo e($quizAttempt->correct_answers); ?></p>
                        <p><strong>Incorrect Answers:</strong> <?php echo e($quizAttempt->incorrect_answers); ?></p>
                        <p><strong>Score:</strong> <?php echo e($quizAttempt->score); ?></p>
                    </div>
                    <div class="col-md-6">
                        <p><strong>User:</strong> <?php echo e($quizAttempt->user->name); ?></p>
                        <p><strong>Date:</strong> <?php echo e($quizAttempt->created_at->format('d M, Y h:i A')); ?></p>
                    </div>
                </div>

                <hr>

                <h4>Detailed Results</h4>
                <table class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>Question</th>
                            <th>Your Answer</th>
                            <th>Correct Answer</th>
                            <th>Marks Awarded</th>
                            <th>Correct</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $quizAttempt->answers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $answer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($answer->question->title); ?></td>
                            <td><?php echo e(is_array(json_decode($answer->answer)) ? implode(', ', json_decode($answer->answer)) : $answer->answer); ?></td>
                            <td><?php echo e($answer->question->correct_answer); ?></td>
                            <td><?php echo e($answer->marks_awarded); ?></td>
                            <td><?php echo e($answer->is_correct ? 'Yes' : 'No'); ?></td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('styles'); ?>
<style>
    /* Print-specific styling */
    @media print {
        body {
            visibility: hidden;
        }

        .page-wrapper {
            visibility: visible;
            width: 100%;
            margin: 0;
        }

        .page-wrapper .card {
            border: none;
        }

        .page-wrapper .card-header {
            display: none;
        }
        .print{
            display: block !important;
        }

        .page-wrapper .card-body {
            padding: 0;
        }

        .table {
            width: 100%;
            margin: 0;
        }

        .table th, .table td {
            border: 1px solid #000;
        }
    }
</style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.student', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\wamp64\www\lmsproject\lmsportal\resources\views/student/result.blade.php ENDPATH**/ ?>