<?php $__env->startSection('content'); ?>
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            Quizes
                        </h2>
                    </div>
                    <div class="col-auto ms-auto d-print-none">
                        <a href="<?php echo e(route('admin.newQuiz')); ?>" class="btn btn-primary">
                            <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
                            <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24"
                                viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none"
                                stroke-linecap="round" stroke-linejoin="round">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                                <path d="M12 5l0 14" />
                                <path d="M5 12l14 0" />
                            </svg>
                            Create Quiz
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">


                <div class="row card">

                    <div class="col-md-12 card-body">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Title</th>
                                    <th>Description</th>
                                    <th>Duration</th>
                                    <th>Total Questions</th>
                                    <th>Total Marks</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $quizes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $quiz): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($loop->iteration); ?></td>
                                        <td><?php echo e($quiz->title); ?></td>
                                        <td><?php echo e($quiz->description); ?></td>
                                        <td><?php echo e($quiz->duration); ?> minutes</td>
                                        <td>
                                            <?php echo e($quiz->quizQuestions->count()); ?> <!-- Total questions count -->
                                        </td>
                                        <td>
                                            <?php echo e($quiz->quizQuestions->sum('marks')); ?> <!-- Total marks calculation -->
                                        </td>
                                        <td>
                                                <?php if($quiz->status == 1): ?>
                                                    <span class="badge bg-success me-1"></span>
                                                <?php else: ?>
                                                    <span class="badge bg-danger me-1"></span>
                                                <?php endif; ?>
                                            </td>
                                        <td>
                                            <?php if($quiz->status == 1): ?>
                                            <a href="<?php echo e(route('admin.deletequiz', ['quiz_id'=>$quiz->id,'id'=>'0'])); ?>" class="btn-sm btn-danger">Disable</a>
                                            <?php else: ?>
                                            <a href="<?php echo e(route('admin.deletequiz', ['quiz_id'=>$quiz->id,'id'=>'1'])); ?>" class="btn-sm btn-success">Activate</a>
                                            <?php endif; ?>
                                            <a class="btn btn-primary" href="<?php echo e(route('admin.showquiz', $quiz->id)); ?>"> View</a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>



                </div>


            </div>
        </div>

        <?php echo $__env->make('includes.admin_footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\wamp64\www\lmsproject\lmsportal\resources\views/admin/quiz.blade.php ENDPATH**/ ?>