<?php $__env->startSection('styles'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/richtexteditor/rte_theme_default.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            New Topic
                        </h2>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">

                <form method="POST" action="<?php echo e(route('admin.savetopics')); ?>" id="editorForm" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="editorContent" id="editorContent">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">Topic</h3>
                                </div>

                                <div class="card-body">
                                    <fieldset class="form-fieldset">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <label>Grade/Class</label>
                                                <select class="form-control select2" name="grade_id" required>
                                                    <?php $__currentLoopData = $grades; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $grade): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($grade->id); ?>"><?php echo e($grade->title); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                            <div class="col-md-12  mt-4 select2" >
                                                <label>Subject</label>
                                                <select class="form-control" name="subject_id" required>
                                                    <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subject): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($subject->id); ?>"><?php echo e($subject->title); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                            <div class="col-md-12  mt-4">
                                                <label>Title</label>
                                                <textarea class="form-control" name="title" required></textarea>
                                            </div>
                                            <div class="col-md-12  mt-4">
                                                <div class="form-label">Tags</div>
                                                <select type="text" class="form-select" id="select-states" name="tags[]"
                                                    multiple>
                                                    <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($tag->id); ?>"><?php echo e($tag->title); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                            <div class="col-md-6  mt-4">
                                                <label>Paid</label>
                                                <span class="col-auto">
                                                    <label class="form-check form-check-single form-switch">
                                                        <input class="form-check-input" type="checkbox" checked
                                                            name="paid" value="1">
                                                    </label>
                                                </span>
                                            </div>
                                            <div class="col-md-6  mt-4">
                                                <label>Price ($)</label>
                                                <input type="text" class="form-control" name="price">
                                            </div>

                                            <div class="col-md-12  mt-4">
                                                <label>Topic Banner</label>
                                                <input type="file" class="form-control" name="banner" required>
                                            </div>

                                            <div class="col-md-12  mt-4">
                                                <label>Supporting Material (You can upload multiple files at once)</label>
                                                <input type="file" class="form-control" name="fil[]" multiple>
                                            </div>

                                            <div class="col-md-12 mt-5">
                                                <input type="submit" class="btn btn-success pull-right" value="Add"
                                                    style="float: right">
                                            </div>

                                        </div>
                                    </fieldset>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <label>Summary</label>
                                                <textarea class="form-control" name="summary" required></textarea>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h4>Content</h4>
                                        </div>
                                        <div class="col-md-12">
                                            <div id="div_editor1">
                                                <p>This is a default toolbar demo of Rich text editor.</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>

            </div>
        </div>

        <?php echo $__env->make('includes.admin_footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(asset('assets/admin/dist/libs/nouislider/dist/nouislider.min.js?1684106062')); ?>" defer></script>
    <script src="<?php echo e(asset('assets/admin/dist/libs/litepicker/dist/litepicker.js?1684106062')); ?>" defer></script>
    <script src="<?php echo e(asset('assets/admin/dist/libs/tom-select/dist/js/tom-select.base.min.js?1684106062')); ?>" defer>
    </script>


    <script type="text/javascript" src="<?php echo e(asset('assets/richtexteditor/rte.js')); ?>"></script>
    <script type="text/javascript" src='<?php echo e(asset('assets/richtexteditor/plugins/all_plugins.js')); ?>'></script>

    <script>
        // @formatter:off
        document.addEventListener("DOMContentLoaded", function() {
            var el;
            window.TomSelect && (new TomSelect(el = document.getElementById('select-states'), {
                copyClassesToDropdown: false,
                dropdownParent: 'body',
                controlInput: '<input>',
                render: {
                    item: function(data, escape) {
                        if (data.customProperties) {
                            return '<div><span class="dropdown-item-indicator">' + data
                                .customProperties + '</span>' + escape(data.text) + '</div>';
                        }
                        return '<div>' + escape(data.text) + '</div>';
                    },
                    option: function(data, escape) {
                        if (data.customProperties) {
                            return '<div><span class="dropdown-item-indicator">' + data
                                .customProperties + '</span>' + escape(data.text) + '</div>';
                        }
                        return '<div>' + escape(data.text) + '</div>';
                    },
                },
            }));
        });
        // @formatter:on
    </script>
    <script>
        var editor1 = new RichTextEditor("#div_editor1");

        document.getElementById('editorForm').addEventListener('submit', function(event) {
            // Prevent the form from submitting immediately
            event.preventDefault();

            // Get the content from the Rich Text Editor
            var editorContent = editor1.getHTMLCode(); // Assuming `getHTMLCode` method returns the editor content

            // Set the content to the hidden input field
            document.getElementById('editorContent').value = editorContent;

            // Submit the form
            this.submit();
        });
        //editor1.setHTMLCode("Use inline HTML or setHTMLCode to init the default content.");
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\wamp64\www\lmsproject\lmsportal\resources\views/admin/new_topics.blade.php ENDPATH**/ ?>