<?php $__env->startSection('styles'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/richtexteditor/rte_theme_default.css')); ?>" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
            <div class="container-xl">
                <div class="row g-2 align-items-center">
                    <div class="col">
                        <h2 class="page-title">
                            plans
                        </h2>
                    </div>
                    <div class="col-auto ms-auto d-print-none">
                <a href="<?php echo e(route('admin.newplans')); ?>" class="btn btn-primary">
                  <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
                  <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M12 5l0 14" /><path d="M5 12l14 0" /></svg>
                  Create Plan
                </a>
              </div>
                </div>
            </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <div class="container-xl">


                <div class="row">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">plans List</h3>
                            </div>
                            

                            <table class="table card-table table-vcenter text-nowrap datatable">
                                <thead>
                                    <tr>
                                        <th class="w-1">#.
                                            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-sm icon-thick"
                                                width="24" height="24" viewBox="0 0 24 24" stroke-width="2"
                                                stroke="currentColor" fill="none" stroke-linecap="round"
                                                stroke-linejoin="round">
                                                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                                                <path d="M6 15l6 -6l6 6" />
                                            </svg>
                                        </th>
                                        <th>Plan</th>
                                        <th>Description</th>
                                        <th>Price</th>
                                        <th>Duration</th>
                                        <th>Created At</th>
                                        <th>Status</th>
                                        <th>Featured</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><span class="text-muted"><?php echo e($loop->iteration); ?></span></td>
                                            <td><?php echo e($plan->name); ?></td>
                                            <td>
                                                <?php echo $plan->description; ?>

                                            </td>
                                            <td><?php echo e($plan->price); ?></td>
                                            <td><?php echo e($plan->duration); ?> days</td>
                                            <td>
                                                <?php echo e($plan->created_at); ?>

                                            </td>
                                            <td>
                                                <?php if($plan->status == 1): ?>
                                                    <span class="badge bg-success me-1"></span>
                                                <?php else: ?>
                                                    <span class="badge bg-danger me-1"></span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if($plan->show_front == 1): ?>
                                                    <span class="badge bg-success me-1">Yes</span>
                                                <?php else: ?>
                                                    <span class="badge bg-danger me-1">No</span>
                                                <?php endif; ?>
                                            </td>
                                            <td class="text-end">
                                                <span class="dropdown">
                                                    <button class="btn dropdown-toggle align-text-top"
                                                        data-bs-boundary="viewport"
                                                        data-bs-toggle="dropdown">Actions</button>
                                                    <div class="dropdown-menu dropdown-menu-end">
                                                        <?php if($plan->show_front == 1): ?>
                                                            <a class="dropdown-item"
                                                                href="<?php echo e(route('admin.featureplans', [$plan->id, '0'])); ?>">Unfeature</a>
                                                        <?php else: ?>
                                                            <a class="dropdown-item"
                                                                href="<?php echo e(route('admin.featureplans', [$plan->id, '1'])); ?>">Feature</a>
                                                        <?php endif; ?>
                                                        <?php if($plan->status == 1): ?>
                                                            <a class="dropdown-item"
                                                                href="<?php echo e(route('admin.disableplans', [$plan->id, '0'])); ?>">Disable</a>
                                                        <?php else: ?>
                                                            <a class="dropdown-item"
                                                                href="<?php echo e(route('admin.disableplans', [$plan->id, '1'])); ?>">Enable</a>
                                                        <?php endif; ?>
                                                    </div>
                                                </span>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                </tbody>
                            </table>


                            <div class="card-footer d-flex align-items-center">
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>

        <?php echo $__env->make('includes.admin_footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script type="text/javascript" src="<?php echo e(asset('assets/richtexteditor/rte.js')); ?>"></script>
    <script type="text/javascript" src='<?php echo e(asset('assets/richtexteditor/plugins/all_plugins.js')); ?>'></script>
    <script>
        var editor1 = new RichTextEditor("#div_editor1");

        document.getElementById('editorForm').addEventListener('submit', function(event) {
            // Prevent the form from submitting immediately
            event.preventDefault();

            // Get the content from the Rich Text Editor
            var editorContent = editor1.getHTMLCode(); // Assuming `getHTMLCode` method returns the editor content

            // Set the content to the hidden input field
            document.getElementById('editorContent').value = editorContent;

            // Submit the form
            this.submit();
        });
        //editor1.setHTMLCode("Use inline HTML or setHTMLCode to init the default content.");
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\wamp64\www\lmsproject\lmsportal\resources\views/admin/plans.blade.php ENDPATH**/ ?>